;;;
;;; Copyright (c) 2003-2009 uim Project http://code.google.com/p/uim/
;;;
;;; All rights reserved.
;;;
;;; Redistribution and use in source and binary forms, with or without
;;; modification, are permitted provided that the following conditions
;;; are met:
;;; 1. Redistributions of source code must retain the above copyright
;;;    notice, this list of conditions and the following disclaimer.
;;; 2. Redistributions in binary form must reproduce the above copyright
;;;    notice, this list of conditions and the following disclaimer in the
;;;    documentation and/or other materials provided with the distribution.
;;; 3. Neither the name of authors nor the names of its contributors
;;;    may be used to endorse or promote products derived from this software
;;;    without specific prior written permission.
;;;
;;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND
;;; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE
;;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
;;; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;;; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;;; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
;;; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;;; SUCH DAMAGE.
;;;;
;; 2008-04-18 version

;;
(require "generic.scm")
;;
(define trycode-rule
  '(
    ((("1" "1"))("")) (((" " "1" "1"))(""))
    ((("2" "1"))("")) (((" " "2" "1"))(""))
    ((("3" "1"))("")) (((" " "3" "1"))(""))
    ((("4" "1"))("")) (((" " "4" "1"))(""))
    ((("5" "1"))("")) (((" " "5" "1"))(""))
    ((("6" "1"))("")) (((" " "6" "1"))(""))
    ((("7" "1"))("")) (((" " "7" "1"))(""))
    ((("8" "1"))("")) (((" " "8" "1"))(""))
    ((("9" "1"))("")) (((" " "9" "1"))(""))
    ((("0" "1"))("")) (((" " "0" "1"))(""))
    ((("," "1"))("")) (((" " "," "1"))(""))
    ((("." "1"))("")) (((" " "." "1"))(""))
    ((("p" "1"))("")) (((" " "p" "1"))(""))
    ((("y" "1"))("")) (((" " "y" "1"))(""))
    ((("f" "1"))("")) (((" " "f" "1"))(""))
    ((("g" "1"))("")) (((" " "g" "1"))(""))
    ((("c" "1"))("")) (((" " "c" "1"))(""))
    ((("r" "1"))("")) (((" " "r" "1"))(""))
    ((("l" "1"))("")) (((" " "l" "1"))("ȩ"))
    ((("a" "1"))("")) (((" " "a" "1"))(""))
    ((("o" "1"))("õ")) (((" " "o" "1"))(""))
    ((("e" "1"))("")) (((" " "e" "1"))(""))
    ((("u" "1"))("")) (((" " "u" "1"))(""))
    ((("i" "1"))("")) (((" " "i" "1"))(""))
    ((("d" "1"))("")) (((" " "d" "1"))(""))
    ((("h" "1"))("")) (((" " "h" "1"))(""))
    ((("t" "1"))("")) (((" " "t" "1"))(""))
    ((("n" "1"))("")) (((" " "n" "1"))(""))
    ((("s" "1"))("")) (((" " "s" "1"))(""))
    (((";" "1"))("")) (((" " ";" "1"))("ª"))
    ((("q" "1"))("")) (((" " "q" "1"))(""))
    ((("j" "1"))("")) (((" " "j" "1"))(""))
    ((("k" "1"))("")) (((" " "k" "1"))(""))
    ((("x" "1"))("")) (((" " "x" "1"))(""))
    ((("b" "1"))("ʳ")) (((" " "b" "1"))(""))
    ((("m" "1"))("")) (((" " "m" "1"))(""))
    ((("w" "1"))("")) (((" " "w" "1"))(""))
    ((("v" "1"))("")) (((" " "v" "1"))(""))
    ((("z" "1"))("")) (((" " "z" "1"))(""))
    ((("/" "1"))("")) (((" " "/" "1"))(""))
    ((("1" "2"))("")) (((" " "1" "2"))(""))
    ((("2" "2"))("")) (((" " "2" "2"))(""))
    ((("3" "2"))("")) (((" " "3" "2"))(""))
    ((("4" "2"))("")) (((" " "4" "2"))(""))
    ((("5" "2"))("")) (((" " "5" "2"))(""))
    ((("6" "2"))("")) (((" " "6" "2"))(""))
    ((("7" "2"))("")) (((" " "7" "2"))(""))
    ((("8" "2"))("")) (((" " "8" "2"))(""))
    ((("9" "2"))("")) (((" " "9" "2"))(""))
    ((("0" "2"))("")) (((" " "0" "2"))(""))
    ((("," "2"))("")) (((" " "," "2"))(""))
    ((("." "2"))("")) (((" " "." "2"))(""))
    ((("p" "2"))("")) (((" " "p" "2"))(""))
    ((("y" "2"))("")) (((" " "y" "2"))(""))
    ((("f" "2"))("")) (((" " "f" "2"))(""))
    ((("g" "2"))("")) (((" " "g" "2"))(""))
    ((("c" "2"))("")) (((" " "c" "2"))(""))
    ((("r" "2"))("")) (((" " "r" "2"))("ʥ"))
    ((("l" "2"))("")) (((" " "l" "2"))(""))
    ((("a" "2"))("")) (((" " "a" "2"))(""))
    ((("o" "2"))("")) (((" " "o" "2"))(""))
    ((("e" "2"))("")) (((" " "e" "2"))(""))
    ((("u" "2"))("")) (((" " "u" "2"))(""))
    ((("i" "2"))("")) (((" " "i" "2"))(""))
    ((("d" "2"))("")) (((" " "d" "2"))(""))
    ((("h" "2"))("")) (((" " "h" "2"))(""))
    ((("t" "2"))("")) (((" " "t" "2"))(""))
    ((("n" "2"))("")) (((" " "n" "2"))("˥"))
    ((("s" "2"))("")) (((" " "s" "2"))("ť"))
    (((";" "2"))("")) (((" " ";" "2"))(""))
    ((("q" "2"))("")) (((" " "q" "2"))(""))
    ((("j" "2"))("")) (((" " "j" "2"))(""))
    ((("k" "2"))("")) (((" " "k" "2"))(""))
    ((("x" "2"))("")) (((" " "x" "2"))(""))
    ((("b" "2"))("ʢ")) (((" " "b" "2"))(""))
    ((("m" "2"))("")) (((" " "m" "2"))(""))
    ((("w" "2"))("")) (((" " "w" "2"))(""))
    ((("v" "2"))("")) (((" " "v" "2"))(""))
    ((("z" "2"))("")) (((" " "z" "2"))(""))
    ((("/" "2"))("")) (((" " "/" "2"))(""))
    ((("1" "3"))("")) (((" " "1" "3"))(""))
    ((("2" "3"))("")) (((" " "2" "3"))(""))
    ((("3" "3"))("")) (((" " "3" "3"))(""))
    ((("4" "3"))("")) (((" " "4" "3"))(""))
    ((("5" "3"))("")) (((" " "5" "3"))(""))
    ((("6" "3"))("")) (((" " "6" "3"))(""))
    ((("7" "3"))("")) (((" " "7" "3"))(""))
    ((("8" "3"))("")) (((" " "8" "3"))(""))
    ((("9" "3"))("")) (((" " "9" "3"))(""))
    ((("0" "3"))("")) (((" " "0" "3"))(""))
    ((("," "3"))("")) (((" " "," "3"))(""))
    ((("." "3"))("")) (((" " "." "3"))(""))
    ((("p" "3"))("")) (((" " "p" "3"))("̪"))
    ((("y" "3"))("")) (((" " "y" "3"))(""))
    ((("f" "3"))("")) (((" " "f" "3"))(""))
    ((("g" "3"))("")) (((" " "g" "3"))("ˣ"))
    ((("c" "3"))("")) (((" " "c" "3"))(""))
    ((("r" "3"))("")) (((" " "r" "3"))(""))
    ((("l" "3"))("")) (((" " "l" "3"))(""))
    ((("a" "3"))("")) (((" " "a" "3"))(""))
    ((("o" "3"))("")) (((" " "o" "3"))(""))
    ((("e" "3"))("")) (((" " "e" "3"))(""))
    ((("u" "3"))("")) (((" " "u" "3"))(""))
    ((("i" "3"))("")) (((" " "i" "3"))(""))
    ((("d" "3"))("")) (((" " "d" "3"))(""))
    ((("h" "3"))("")) (((" " "h" "3"))(""))
    ((("t" "3"))("")) (((" " "t" "3"))(""))
    ((("n" "3"))("")) (((" " "n" "3"))(""))
    ((("s" "3"))("")) (((" " "s" "3"))(""))
    (((";" "3"))("")) (((" " ";" "3"))(""))
    ((("q" "3"))("")) (((" " "q" "3"))(""))
    ((("j" "3"))("")) (((" " "j" "3"))(""))
    ((("k" "3"))("")) (((" " "k" "3"))(""))
    ((("x" "3"))("")) (((" " "x" "3"))("Ϫ"))
    ((("b" "3"))("")) (((" " "b" "3"))(""))
    ((("m" "3"))("")) (((" " "m" "3"))(""))
    ((("w" "3"))("")) (((" " "w" "3"))(""))
    ((("v" "3"))("")) (((" " "v" "3"))(""))
    ((("z" "3"))("")) (((" " "z" "3"))(""))
    ((("/" "3"))("")) (((" " "/" "3"))(""))
    ((("1" "4"))("")) (((" " "1" "4"))(""))
    ((("2" "4"))("")) (((" " "2" "4"))(""))
    ((("3" "4"))("")) (((" " "3" "4"))(""))
    ((("4" "4"))("")) (((" " "4" "4"))(""))
    ((("5" "4"))("")) (((" " "5" "4"))(""))
    ((("6" "4"))("")) (((" " "6" "4"))(""))
    ((("7" "4"))("")) (((" " "7" "4"))(""))
    ((("8" "4"))("")) (((" " "8" "4"))(""))
    ((("9" "4"))("")) (((" " "9" "4"))(""))
    ((("0" "4"))("")) (((" " "0" "4"))(""))
    ((("," "4"))("ɧ")) (((" " "," "4"))(""))
    ((("." "4"))("")) (((" " "." "4"))(""))
    ((("p" "4"))("")) (((" " "p" "4"))(""))
    ((("y" "4"))("")) (((" " "y" "4"))(""))
    ((("f" "4"))("")) (((" " "f" "4"))(""))
    ((("g" "4"))("")) (((" " "g" "4"))(""))
    ((("c" "4"))("")) (((" " "c" "4"))(""))
    ((("r" "4"))("")) (((" " "r" "4"))(""))
    ((("l" "4"))("")) (((" " "l" "4"))("ò"))
    ((("a" "4"))("")) (((" " "a" "4"))(""))
    ((("o" "4"))("")) (((" " "o" "4"))(""))
    ((("e" "4"))("")) (((" " "e" "4"))("ע"))
    ((("u" "4"))("")) (((" " "u" "4"))(""))
    ((("i" "4"))("")) (((" " "i" "4"))(""))
    ((("d" "4"))("")) (((" " "d" "4"))(""))
    ((("h" "4"))("ˮ")) (((" " "h" "4"))(""))
    ((("t" "4"))("")) (((" " "t" "4"))(""))
    ((("n" "4"))("")) (((" " "n" "4"))(""))
    ((("s" "4"))("")) (((" " "s" "4"))(""))
    (((";" "4"))("")) (((" " ";" "4"))(""))
    ((("q" "4"))("")) (((" " "q" "4"))(""))
    ((("j" "4"))("")) (((" " "j" "4"))("Ƨ"))
    ((("k" "4"))("")) (((" " "k" "4"))(""))
    ((("x" "4"))("¡")) (((" " "x" "4"))(""))
    ((("b" "4"))("")) (((" " "b" "4"))(""))
    ((("m" "4"))("")) (((" " "m" "4"))(""))
    ((("w" "4"))("")) (((" " "w" "4"))(""))
    ((("v" "4"))("")) (((" " "v" "4"))(""))
    ((("z" "4"))("Ĭ")) (((" " "z" "4"))(""))
    ((("/" "4"))("")) (((" " "/" "4"))(""))
    ((("1" "5"))("")) (((" " "1" "5"))(""))
    ((("2" "5"))("")) (((" " "2" "5"))(""))
    ((("3" "5"))("")) (((" " "3" "5"))(""))
    ((("4" "5"))("")) (((" " "4" "5"))(""))
    ((("5" "5"))("")) (((" " "5" "5"))(""))
    ((("6" "5"))("")) (((" " "6" "5"))(""))
    ((("7" "5"))("")) (((" " "7" "5"))(""))
    ((("8" "5"))("")) (((" " "8" "5"))(""))
    ((("9" "5"))("")) (((" " "9" "5"))(""))
    ((("0" "5"))("")) (((" " "0" "5"))(""))
    ((("," "5"))("")) (((" " "," "5"))(""))
    ((("." "5"))("")) (((" " "." "5"))(""))
    ((("p" "5"))("")) (((" " "p" "5"))(""))
    ((("y" "5"))("")) (((" " "y" "5"))(""))
    ((("f" "5"))("")) (((" " "f" "5"))(""))
    ((("g" "5"))("")) (((" " "g" "5"))(""))
    ((("c" "5"))("")) (((" " "c" "5"))(""))
    ((("r" "5"))("")) (((" " "r" "5"))(""))
    ((("l" "5"))("")) (((" " "l" "5"))(""))
    ((("a" "5"))("")) (((" " "a" "5"))(""))
    ((("o" "5"))("")) (((" " "o" "5"))(""))
    ((("e" "5"))("")) (((" " "e" "5"))(""))
    ((("u" "5"))("")) (((" " "u" "5"))(""))
    ((("i" "5"))("̩")) (((" " "i" "5"))(""))
    ((("d" "5"))("")) (((" " "d" "5"))(""))
    ((("h" "5"))("")) (((" " "h" "5"))(""))
    ((("t" "5"))("")) (((" " "t" "5"))(""))
    ((("n" "5"))("¬")) (((" " "n" "5"))(""))
    ((("s" "5"))("")) (((" " "s" "5"))(""))
    (((";" "5"))("")) (((" " ";" "5"))(""))
    ((("q" "5"))("")) (((" " "q" "5"))(""))
    ((("j" "5"))("")) (((" " "j" "5"))(""))
    ((("k" "5"))("")) (((" " "k" "5"))(""))
    ((("x" "5"))("ĺ")) (((" " "x" "5"))("ƽ"))
    ((("b" "5"))("")) (((" " "b" "5"))(""))
    ((("m" "5"))("")) (((" " "m" "5"))(""))
    ((("w" "5"))("˿")) (((" " "w" "5"))(""))
    ((("v" "5"))("")) (((" " "v" "5"))(""))
    ((("z" "5"))("")) (((" " "z" "5"))(""))
    ((("/" "5"))("")) (((" " "/" "5"))(""))
    ((("1" "6"))("")) (((" " "1" "6"))(""))
    ((("2" "6"))("")) (((" " "2" "6"))(""))
    ((("3" "6"))("")) (((" " "3" "6"))(""))
    ((("4" "6"))("")) (((" " "4" "6"))(""))
    ((("5" "6"))("")) (((" " "5" "6"))(""))
    ((("6" "6"))("")) (((" " "6" "6"))(""))
    ((("7" "6"))("")) (((" " "7" "6"))(""))
    ((("8" "6"))("")) (((" " "8" "6"))(""))
    ((("9" "6"))("")) (((" " "9" "6"))(""))
    ((("0" "6"))("")) (((" " "0" "6"))(""))
    ((("," "6"))("")) (((" " "," "6"))(""))
    ((("." "6"))("")) (((" " "." "6"))("é"))
    ((("p" "6"))("")) (((" " "p" "6"))(""))
    ((("y" "6"))("©")) (((" " "y" "6"))(""))
    ((("f" "6"))("")) (((" " "f" "6"))(""))
    ((("g" "6"))("")) (((" " "g" "6"))(""))
    ((("c" "6"))("")) (((" " "c" "6"))(""))
    ((("r" "6"))("")) (((" " "r" "6"))(""))
    ((("l" "6"))("Ƹ")) (((" " "l" "6"))(""))
    ((("a" "6"))("")) (((" " "a" "6"))(""))
    ((("o" "6"))("")) (((" " "o" "6"))(""))
    ((("e" "6"))("")) (((" " "e" "6"))(""))
    ((("u" "6"))("")) (((" " "u" "6"))(""))
    ((("i" "6"))("")) (((" " "i" "6"))(""))
    ((("d" "6"))("")) (((" " "d" "6"))(""))
    ((("h" "6"))("")) (((" " "h" "6"))(""))
    ((("t" "6"))("")) (((" " "t" "6"))(""))
    ((("n" "6"))("")) (((" " "n" "6"))("Ŀ"))
    ((("s" "6"))("")) (((" " "s" "6"))(""))
    (((";" "6"))("Ȫ")) (((" " ";" "6"))(""))
    ((("q" "6"))("")) (((" " "q" "6"))(""))
    ((("j" "6"))("")) (((" " "j" "6"))(""))
    ((("k" "6"))("ū")) (((" " "k" "6"))(""))
    ((("x" "6"))("")) (((" " "x" "6"))(""))
    ((("b" "6"))("")) (((" " "b" "6"))(""))
    ((("m" "6"))("")) (((" " "m" "6"))(""))
    ((("w" "6"))("")) (((" " "w" "6"))(""))
    ((("v" "6"))("")) (((" " "v" "6"))(""))
    ((("z" "6"))("")) (((" " "z" "6"))(""))
    ((("/" "6"))("")) (((" " "/" "6"))(""))
    ((("1" "7"))("")) (((" " "1" "7"))(""))
    ((("2" "7"))("")) (((" " "2" "7"))(""))
    ((("3" "7"))("")) (((" " "3" "7"))(""))
    ((("4" "7"))("")) (((" " "4" "7"))(""))
    ((("5" "7"))("")) (((" " "5" "7"))(""))
    ((("6" "7"))("")) (((" " "6" "7"))(""))
    ((("7" "7"))("")) (((" " "7" "7"))(""))
    ((("8" "7"))("")) (((" " "8" "7"))(""))
    ((("9" "7"))("")) (((" " "9" "7"))(""))
    ((("0" "7"))("")) (((" " "0" "7"))(""))
    ((("," "7"))("»")) (((" " "," "7"))(""))
    ((("." "7"))("ɶ")) (((" " "." "7"))(""))
    ((("p" "7"))("")) (((" " "p" "7"))(""))
    ((("y" "7"))("")) (((" " "y" "7"))(""))
    ((("f" "7"))("")) (((" " "f" "7"))(""))
    ((("g" "7"))("æ")) (((" " "g" "7"))(""))
    ((("c" "7"))("")) (((" " "c" "7"))(""))
    ((("r" "7"))("")) (((" " "r" "7"))(""))
    ((("l" "7"))("º")) (((" " "l" "7"))(""))
    ((("a" "7"))("")) (((" " "a" "7"))(""))
    ((("o" "7"))("")) (((" " "o" "7"))(""))
    ((("e" "7"))("͹")) (((" " "e" "7"))(""))
    ((("u" "7"))("")) (((" " "u" "7"))(""))
    ((("i" "7"))("")) (((" " "i" "7"))(""))
    ((("d" "7"))("")) (((" " "d" "7"))(""))
    ((("h" "7"))("")) (((" " "h" "7"))(""))
    ((("t" "7"))("")) (((" " "t" "7"))(""))
    ((("n" "7"))("")) (((" " "n" "7"))(""))
    ((("s" "7"))("")) (((" " "s" "7"))(""))
    (((";" "7"))("")) (((" " ";" "7"))(""))
    ((("q" "7"))("ü")) (((" " "q" "7"))(""))
    ((("j" "7"))("")) (((" " "j" "7"))(""))
    ((("k" "7"))("")) (((" " "k" "7"))(""))
    ((("x" "7"))("")) (((" " "x" "7"))(""))
    ((("b" "7"))("")) (((" " "b" "7"))(""))
    ((("m" "7"))("")) (((" " "m" "7"))(""))
    ((("w" "7"))("")) (((" " "w" "7"))(""))
    ((("v" "7"))("")) (((" " "v" "7"))(""))
    ((("z" "7"))("")) (((" " "z" "7"))(""))
    ((("/" "7"))("")) (((" " "/" "7"))("м"))
    ((("1" "8"))("")) (((" " "1" "8"))(""))
    ((("2" "8"))("")) (((" " "2" "8"))(""))
    ((("3" "8"))("")) (((" " "3" "8"))(""))
    ((("4" "8"))("")) (((" " "4" "8"))(""))
    ((("5" "8"))("")) (((" " "5" "8"))(""))
    ((("6" "8"))("")) (((" " "6" "8"))(""))
    ((("7" "8"))("")) (((" " "7" "8"))(""))
    ((("8" "8"))("")) (((" " "8" "8"))(""))
    ((("9" "8"))("")) (((" " "9" "8"))(""))
    ((("0" "8"))("")) (((" " "0" "8"))(""))
    ((("," "8"))("Ũ")) (((" " "," "8"))(""))
    ((("." "8"))("")) (((" " "." "8"))(""))
    ((("p" "8"))("")) (((" " "p" "8"))(""))
    ((("y" "8"))("")) (((" " "y" "8"))(""))
    ((("f" "8"))("")) (((" " "f" "8"))(""))
    ((("g" "8"))("˽")) (((" " "g" "8"))(""))
    ((("c" "8"))("")) (((" " "c" "8"))("Ľ"))
    ((("r" "8"))("")) (((" " "r" "8"))(""))
    ((("l" "8"))("")) (((" " "l" "8"))(""))
    ((("a" "8"))("")) (((" " "a" "8"))(""))
    ((("o" "8"))("")) (((" " "o" "8"))(""))
    ((("e" "8"))("")) (((" " "e" "8"))(""))
    ((("u" "8"))("")) (((" " "u" "8"))(""))
    ((("i" "8"))("")) (((" " "i" "8"))(""))
    ((("d" "8"))("")) (((" " "d" "8"))(""))
    ((("h" "8"))("")) (((" " "h" "8"))(""))
    ((("t" "8"))("")) (((" " "t" "8"))(""))
    ((("n" "8"))("")) (((" " "n" "8"))(""))
    ((("s" "8"))("")) (((" " "s" "8"))("Ŷ"))
    (((";" "8"))("")) (((" " ";" "8"))(""))
    ((("q" "8"))("")) (((" " "q" "8"))(""))
    ((("j" "8"))("")) (((" " "j" "8"))(""))
    ((("k" "8"))("")) (((" " "k" "8"))(""))
    ((("x" "8"))("")) (((" " "x" "8"))(""))
    ((("b" "8"))("ʻ")) (((" " "b" "8"))(""))
    ((("m" "8"))("")) (((" " "m" "8"))(""))
    ((("w" "8"))("")) (((" " "w" "8"))(""))
    ((("v" "8"))("ε")) (((" " "v" "8"))(""))
    ((("z" "8"))("")) (((" " "z" "8"))(""))
    ((("/" "8"))("")) (((" " "/" "8"))(""))
    ((("1" "9"))("")) (((" " "1" "9"))(""))
    ((("2" "9"))("")) (((" " "2" "9"))(""))
    ((("3" "9"))("")) (((" " "3" "9"))(""))
    ((("4" "9"))("")) (((" " "4" "9"))(""))
    ((("5" "9"))("")) (((" " "5" "9"))(""))
    ((("6" "9"))("")) (((" " "6" "9"))(""))
    ((("7" "9"))("")) (((" " "7" "9"))(""))
    ((("8" "9"))("")) (((" " "8" "9"))(""))
    ((("9" "9"))("")) (((" " "9" "9"))(""))
    ((("0" "9"))("")) (((" " "0" "9"))(""))
    ((("," "9"))("Ƽ")) (((" " "," "9"))(""))
    ((("." "9"))("")) (((" " "." "9"))("ʯ"))
    ((("p" "9"))("Ģ")) (((" " "p" "9"))(""))
    ((("y" "9"))("")) (((" " "y" "9"))(""))
    ((("f" "9"))("")) (((" " "f" "9"))("ʺ"))
    ((("g" "9"))("")) (((" " "g" "9"))(""))
    ((("c" "9"))("")) (((" " "c" "9"))(""))
    ((("r" "9"))("")) (((" " "r" "9"))(""))
    ((("l" "9"))("")) (((" " "l" "9"))("Ĥ"))
    ((("a" "9"))("")) (((" " "a" "9"))(""))
    ((("o" "9"))("")) (((" " "o" "9"))(""))
    ((("e" "9"))("")) (((" " "e" "9"))(""))
    ((("u" "9"))("ǵ")) (((" " "u" "9"))(""))
    ((("i" "9"))("ǡ")) (((" " "i" "9"))(""))
    ((("d" "9"))("")) (((" " "d" "9"))(""))
    ((("h" "9"))("")) (((" " "h" "9"))(""))
    ((("t" "9"))("")) (((" " "t" "9"))(""))
    ((("n" "9"))("")) (((" " "n" "9"))(""))
    ((("s" "9"))("")) (((" " "s" "9"))(""))
    (((";" "9"))("")) (((" " ";" "9"))(""))
    ((("q" "9"))("")) (((" " "q" "9"))(""))
    ((("j" "9"))("")) (((" " "j" "9"))(""))
    ((("k" "9"))("")) (((" " "k" "9"))(""))
    ((("x" "9"))("")) (((" " "x" "9"))(""))
    ((("b" "9"))("")) (((" " "b" "9"))(""))
    ((("m" "9"))("")) (((" " "m" "9"))(""))
    ((("w" "9"))("")) (((" " "w" "9"))(""))
    ((("v" "9"))("ð")) (((" " "v" "9"))("ó"))
    ((("z" "9"))("")) (((" " "z" "9"))(""))
    ((("/" "9"))("")) (((" " "/" "9"))(""))
    ((("1" "0"))("")) (((" " "1" "0"))(""))
    ((("2" "0"))("")) (((" " "2" "0"))(""))
    ((("3" "0"))("")) (((" " "3" "0"))(""))
    ((("4" "0"))("")) (((" " "4" "0"))(""))
    ((("5" "0"))("")) (((" " "5" "0"))(""))
    ((("6" "0"))("")) (((" " "6" "0"))(""))
    ((("7" "0"))("")) (((" " "7" "0"))(""))
    ((("8" "0"))("")) (((" " "8" "0"))(""))
    ((("9" "0"))("")) (((" " "9" "0"))(""))
    ((("0" "0"))("")) (((" " "0" "0"))(""))
    ((("," "0"))("ǳ")) (((" " "," "0"))("˨"))
    ((("." "0"))("")) (((" " "." "0"))(""))
    ((("p" "0"))("")) (((" " "p" "0"))(""))
    ((("y" "0"))("")) (((" " "y" "0"))(""))
    ((("f" "0"))("")) (((" " "f" "0"))(""))
    ((("g" "0"))("")) (((" " "g" "0"))(""))
    ((("c" "0"))("")) (((" " "c" "0"))(""))
    ((("r" "0"))("")) (((" " "r" "0"))(""))
    ((("l" "0"))("")) (((" " "l" "0"))(""))
    ((("a" "0"))("§")) (((" " "a" "0"))(""))
    ((("o" "0"))("θ")) (((" " "o" "0"))("κ"))
    ((("e" "0"))("ɼ")) (((" " "e" "0"))(""))
    ((("u" "0"))("ζ")) (((" " "u" "0"))(""))
    ((("i" "0"))("ά")) (((" " "i" "0"))(""))
    ((("d" "0"))("")) (((" " "d" "0"))(""))
    ((("h" "0"))("")) (((" " "h" "0"))(""))
    ((("t" "0"))("")) (((" " "t" "0"))(""))
    ((("n" "0"))("")) (((" " "n" "0"))(""))
    ((("s" "0"))("¸")) (((" " "s" "0"))(""))
    (((";" "0"))("")) (((" " ";" "0"))("̼"))
    ((("q" "0"))("")) (((" " "q" "0"))(""))
    ((("j" "0"))("")) (((" " "j" "0"))(""))
    ((("k" "0"))("")) (((" " "k" "0"))(""))
    ((("x" "0"))("")) (((" " "x" "0"))(""))
    ((("b" "0"))("")) (((" " "b" "0"))(""))
    ((("m" "0"))("")) (((" " "m" "0"))(""))
    ((("w" "0"))("")) (((" " "w" "0"))(""))
    ((("v" "0"))("")) (((" " "v" "0"))(""))
    ((("z" "0"))("")) (((" " "z" "0"))(""))
    ((("/" "0"))("")) (((" " "/" "0"))(""))
    ((("1" ","))("α")) (((" " "1" ","))("ί"))
    ((("2" ","))("")) (((" " "2" ","))(""))
    ((("3" ","))("")) (((" " "3" ","))("Ħ"))
    ((("4" ","))("Ʀ")) (((" " "4" ","))(""))
    ((("5" ","))("")) (((" " "5" ","))(""))
    ((("6" ","))("")) (((" " "6" ","))(""))
    ((("7" ","))("")) (((" " "7" ","))(""))
    ((("8" ","))("¹")) (((" " "8" ","))("½"))
    ((("9" ","))("")) (((" " "9" ","))(""))
    ((("0" ","))("ͦ")) (((" " "0" ","))("ͯ"))
    ((("," ","))("")) (((" " "," ","))(""))
    ((("." ","))("")) (((" " "." ","))(""))
    ((("p" ","))("")) (((" " "p" ","))(""))
    ((("y" ","))("")) (((" " "y" ","))(""))
    ((("f" ","))("")) (((" " "f" ","))(""))
    ((("g" ","))("")) (((" " "g" ","))(""))
    ((("c" ","))("")) (((" " "c" ","))(""))
    ((("r" ","))("")) (((" " "r" ","))(""))
    ((("l" ","))("")) (((" " "l" ","))(""))
    ((("a" ","))("")) (((" " "a" ","))(""))
    ((("o" ","))("")) (((" " "o" ","))(""))
    ((("e" ","))("")) (((" " "e" ","))(""))
    ((("u" ","))("")) (((" " "u" ","))(""))
    ((("i" ","))("")) (((" " "i" ","))(""))
    ((("d" ","))("")) (((" " "d" ","))(""))
    ((("h" ","))("Ĵ")) (((" " "h" ","))(""))
    ((("t" ","))("")) (((" " "t" ","))(""))
    ((("n" ","))("")) (((" " "n" ","))(""))
    ((("s" ","))("")) (((" " "s" ","))(""))
    (((";" ","))("")) (((" " ";" ","))(""))
    ((("q" ","))("")) (((" " "q" ","))(""))
    ((("j" ","))("")) (((" " "j" ","))(""))
    ((("k" ","))("")) (((" " "k" ","))(""))
    ((("x" ","))("ʧ")) (((" " "x" ","))(""))
    ((("b" ","))("")) (((" " "b" ","))(""))
    ((("m" ","))("")) (((" " "m" ","))(""))
    ((("w" ","))("")) (((" " "w" ","))(""))
    ((("v" ","))("")) (((" " "v" ","))(""))
    ((("z" ","))("")) (((" " "z" ","))(""))
    ((("/" ","))("")) (((" " "/" ","))(""))
    ((("1" "."))("")) (((" " "1" "."))(""))
    ((("2" "."))("")) (((" " "2" "."))(""))
    ((("3" "."))("?")) (((" " "3" "."))(""))
    ((("4" "."))("")) (((" " "4" "."))(""))
    ((("5" "."))("")) (((" " "5" "."))(""))
    ((("6" "."))("")) (((" " "6" "."))(""))
    ((("7" "."))("")) (((" " "7" "."))(""))
    ((("8" "."))("")) (((" " "8" "."))("ĸ"))
    ((("9" "."))("")) (((" " "9" "."))(""))
    ((("0" "."))("")) (((" " "0" "."))(""))
    ((("," "."))("")) (((" " "," "."))(""))
    ((("." "."))("")) (((" " "." "."))(""))
    ((("p" "."))("")) (((" " "p" "."))(""))
    ((("y" "."))("")) (((" " "y" "."))("ʤ"))
    ((("f" "."))("")) (((" " "f" "."))(""))
    ((("g" "."))("ï")) (((" " "g" "."))(""))
    ((("c" "."))("")) (((" " "c" "."))(""))
    ((("r" "."))("")) (((" " "r" "."))(""))
    ((("l" "."))("")) (((" " "l" "."))(""))
    ((("a" "."))("")) (((" " "a" "."))("ì"))
    ((("o" "."))("")) (((" " "o" "."))(""))
    ((("e" "."))("")) (((" " "e" "."))(""))
    ((("u" "."))("")) (((" " "u" "."))(""))
    ((("i" "."))("")) (((" " "i" "."))(""))
    ((("d" "."))("")) (((" " "d" "."))(""))
    ((("h" "."))("")) (((" " "h" "."))(""))
    ((("t" "."))("")) (((" " "t" "."))(""))
    ((("n" "."))("")) (((" " "n" "."))(""))
    ((("s" "."))("Ÿ")) (((" " "s" "."))(""))
    (((";" "."))("")) (((" " ";" "."))("ƹ"))
    ((("q" "."))("")) (((" " "q" "."))(""))
    ((("j" "."))("")) (((" " "j" "."))(""))
    ((("k" "."))("")) (((" " "k" "."))(""))
    ((("x" "."))("")) (((" " "x" "."))(""))
    ((("b" "."))("ͷ")) (((" " "b" "."))(""))
    ((("m" "."))("")) (((" " "m" "."))(""))
    ((("w" "."))("")) (((" " "w" "."))(""))
    ((("v" "."))("")) (((" " "v" "."))(""))
    ((("z" "."))("")) (((" " "z" "."))(""))
    ((("/" "."))("Ϳ")) (((" " "/" "."))(""))
    ((("1" "p"))("")) (((" " "1" "p"))(""))
    ((("2" "p"))("")) (((" " "2" "p"))(""))
    ((("3" "p"))("")) (((" " "3" "p"))(""))
    ((("4" "p"))("")) (((" " "4" "p"))(""))
    ((("5" "p"))("")) (((" " "5" "p"))("ȳ"))
    ((("6" "p"))("")) (((" " "6" "p"))("Ŧ"))
    ((("7" "p"))("")) (((" " "7" "p"))(""))
    ((("8" "p"))("")) (((" " "8" "p"))("̷"))
    ((("9" "p"))("")) (((" " "9" "p"))(""))
    ((("0" "p"))("")) (((" " "0" "p"))(""))
    ((("," "p"))("")) (((" " "," "p"))(""))
    ((("." "p"))("")) (((" " "." "p"))(""))
    ((("p" "p"))("")) (((" " "p" "p"))(""))
    ((("y" "p"))("̵")) (((" " "y" "p"))("ɵ"))
    ((("f" "p"))("")) (((" " "f" "p"))("س"))
    ((("g" "p"))("")) (((" " "g" "p"))(""))
    ((("c" "p"))("")) (((" " "c" "p"))(""))
    ((("r" "p"))("")) (((" " "r" "p"))(""))
    ((("l" "p"))("")) (((" " "l" "p"))(""))
    ((("a" "p"))("")) (((" " "a" "p"))(""))
    ((("o" "p"))("")) (((" " "o" "p"))("˶"))
    ((("e" "p"))("")) (((" " "e" "p"))(""))
    ((("u" "p"))("")) (((" " "u" "p"))(""))
    ((("i" "p"))("")) (((" " "i" "p"))(""))
    ((("d" "p"))("")) (((" " "d" "p"))(""))
    ((("h" "p"))("ͥ")) (((" " "h" "p"))(""))
    ((("t" "p"))("")) (((" " "t" "p"))(""))
    ((("n" "p"))("")) (((" " "n" "p"))(""))
    ((("s" "p"))("")) (((" " "s" "p"))(""))
    (((";" "p"))("")) (((" " ";" "p"))(""))
    ((("q" "p"))("")) (((" " "q" "p"))(""))
    ((("j" "p"))("")) (((" " "j" "p"))(""))
    ((("k" "p"))("")) (((" " "k" "p"))(""))
    ((("x" "p"))("")) (((" " "x" "p"))(""))
    ((("b" "p"))("")) (((" " "b" "p"))("Ǣ"))
    ((("m" "p"))("¨")) (((" " "m" "p"))(""))
    ((("w" "p"))("")) (((" " "w" "p"))("ϧ"))
    ((("v" "p"))("")) (((" " "v" "p"))(""))
    ((("z" "p"))("")) (((" " "z" "p"))(""))
    ((("/" "p"))("")) (((" " "/" "p"))(""))
    ((("1" "y"))("")) (((" " "1" "y"))(""))
    ((("2" "y"))("ħ")) (((" " "2" "y"))(""))
    ((("3" "y"))("")) (((" " "3" "y"))(""))
    ((("4" "y"))("")) (((" " "4" "y"))(""))
    ((("5" "y"))("")) (((" " "5" "y"))("ȭ"))
    ((("6" "y"))("ɡ")) (((" " "6" "y"))(""))
    ((("7" "y"))("")) (((" " "7" "y"))(""))
    ((("8" "y"))("")) (((" " "8" "y"))(""))
    ((("9" "y"))("")) (((" " "9" "y"))(""))
    ((("0" "y"))("")) (((" " "0" "y"))("̡"))
    ((("," "y"))("")) (((" " "," "y"))(""))
    ((("." "y"))("")) (((" " "." "y"))("ˤ"))
    ((("p" "y"))("")) (((" " "p" "y"))(""))
    ((("y" "y"))("")) (((" " "y" "y"))(""))
    ((("f" "y"))("")) (((" " "f" "y"))(""))
    ((("g" "y"))("˭")) (((" " "g" "y"))(""))
    ((("c" "y"))("")) (((" " "c" "y"))(""))
    ((("r" "y"))("")) (((" " "r" "y"))(""))
    ((("l" "y"))("")) (((" " "l" "y"))(""))
    ((("a" "y"))("")) (((" " "a" "y"))(""))
    ((("o" "y"))("Ϻ")) (((" " "o" "y"))("ϭ"))
    ((("e" "y"))("")) (((" " "e" "y"))(""))
    ((("u" "y"))("ˡ")) (((" " "u" "y"))(""))
    ((("i" "y"))("")) (((" " "i" "y"))(""))
    ((("d" "y"))("Ǥ")) (((" " "d" "y"))(""))
    ((("h" "y"))("")) (((" " "h" "y"))(""))
    ((("t" "y"))("ɾ")) (((" " "t" "y"))(""))
    ((("n" "y"))("")) (((" " "n" "y"))(""))
    ((("s" "y"))("")) (((" " "s" "y"))(""))
    (((";" "y"))("")) (((" " ";" "y"))(""))
    ((("q" "y"))("")) (((" " "q" "y"))(""))
    ((("j" "y"))("")) (((" " "j" "y"))(""))
    ((("k" "y"))("")) (((" " "k" "y"))("Ч"))
    ((("x" "y"))("")) (((" " "x" "y"))("η"))
    ((("b" "y"))("")) (((" " "b" "y"))(""))
    ((("m" "y"))("û")) (((" " "m" "y"))(""))
    ((("w" "y"))("")) (((" " "w" "y"))(""))
    ((("v" "y"))("Ψ")) (((" " "v" "y"))(""))
    ((("z" "y"))("")) (((" " "z" "y"))(""))
    ((("/" "y"))("")) (((" " "/" "y"))(""))
    ((("1" "f"))("")) (((" " "1" "f"))(""))
    ((("2" "f"))("")) (((" " "2" "f"))(""))
    ((("3" "f"))("")) (((" " "3" "f"))(""))
    ((("4" "f"))("")) (((" " "4" "f"))(""))
    ((("5" "f"))("ʰ")) (((" " "5" "f"))("ʮ"))
    ((("6" "f"))("")) (((" " "6" "f"))("ɿ"))
    ((("7" "f"))("")) (((" " "7" "f"))(""))
    ((("8" "f"))("")) (((" " "8" "f"))(""))
    ((("9" "f"))("")) (((" " "9" "f"))(""))
    ((("0" "f"))("ɸ")) (((" " "0" "f"))("ɺ"))
    ((("," "f"))("")) (((" " "," "f"))(""))
    ((("." "f"))("")) (((" " "." "f"))(""))
    ((("p" "f"))("")) (((" " "p" "f"))(""))
    ((("y" "f"))("")) (((" " "y" "f"))(""))
    ((("f" "f"))("")) (((" " "f" "f"))(""))
    ((("g" "f"))("")) (((" " "g" "f"))(""))
    ((("c" "f"))("")) (((" " "c" "f"))(""))
    ((("r" "f"))("")) (((" " "r" "f"))(""))
    ((("l" "f"))("")) (((" " "l" "f"))(""))
    ((("a" "f"))("")) (((" " "a" "f"))(""))
    ((("o" "f"))("")) (((" " "o" "f"))(""))
    ((("e" "f"))("")) (((" " "e" "f"))(""))
    ((("u" "f"))("")) (((" " "u" "f"))(""))
    ((("i" "f"))("6")) (((" " "i" "f"))(""))
    ((("d" "f"))("")) (((" " "d" "f"))(""))
    ((("h" "f"))("")) (((" " "h" "f"))(""))
    ((("t" "f"))("")) (((" " "t" "f"))(""))
    ((("n" "f"))("")) (((" " "n" "f"))(""))
    ((("s" "f"))("ͽ")) (((" " "s" "f"))("ͱ"))
    (((";" "f"))("2")) (((" " ";" "f"))(""))
    ((("q" "f"))("")) (((" " "q" "f"))(""))
    ((("j" "f"))("")) (((" " "j" "f"))(""))
    ((("k" "f"))("0")) (((" " "k" "f"))(""))
    ((("x" "f"))("")) (((" " "x" "f"))(""))
    ((("b" "f"))("")) (((" " "b" "f"))(""))
    ((("m" "f"))("")) (((" " "m" "f"))(""))
    ((("w" "f"))("")) (((" " "w" "f"))(""))
    ((("v" "f"))("")) (((" " "v" "f"))(""))
    ((("z" "f"))("")) (((" " "z" "f"))(""))
    ((("/" "f"))("")) (((" " "/" "f"))(""))
    ((("1" "g"))("")) (((" " "1" "g"))(""))
    ((("2" "g"))("")) (((" " "2" "g"))(""))
    ((("3" "g"))("")) (((" " "3" "g"))(""))
    ((("4" "g"))("")) (((" " "4" "g"))(""))
    ((("5" "g"))("")) (((" " "5" "g"))("ʾ"))
    ((("6" "g"))("")) (((" " "6" "g"))("ϴ"))
    ((("7" "g"))(";")) (((" " "7" "g"))(""))
    ((("8" "g"))("")) (((" " "8" "g"))(""))
    ((("9" "g"))("")) (((" " "9" "g"))(""))
    ((("0" "g"))("")) (((" " "0" "g"))(""))
    ((("," "g"))("")) (((" " "," "g"))(""))
    ((("." "g"))("Ĺ")) (((" " "." "g"))("ͪ"))
    ((("p" "g"))("")) (((" " "p" "g"))(""))
    ((("y" "g"))("")) (((" " "y" "g"))(""))
    ((("f" "g"))("")) (((" " "f" "g"))(""))
    ((("g" "g"))("")) (((" " "g" "g"))(""))
    ((("c" "g"))("")) (((" " "c" "g"))(""))
    ((("r" "g"))("")) (((" " "r" "g"))(""))
    ((("l" "g"))("")) (((" " "l" "g"))(""))
    ((("a" "g"))("")) (((" " "a" "g"))(""))
    ((("o" "g"))("")) (((" " "o" "g"))(""))
    ((("e" "g"))("")) (((" " "e" "g"))(""))
    ((("u" "g"))("")) (((" " "u" "g"))(""))
    ((("i" "g"))("")) (((" " "i" "g"))(""))
    ((("d" "g"))("")) (((" " "d" "g"))(""))
    ((("h" "g"))("")) (((" " "h" "g"))(""))
    ((("t" "g"))("ʹ")) (((" " "t" "g"))("İ"))
    ((("n" "g"))("")) (((" " "n" "g"))(""))
    ((("s" "g"))("")) (((" " "s" "g"))(""))
    (((";" "g"))("")) (((" " ";" "g"))(""))
    ((("q" "g"))("")) (((" " "q" "g"))(""))
    ((("j" "g"))("")) (((" " "j" "g"))("þ"))
    ((("k" "g"))("")) (((" " "k" "g"))(""))
    ((("x" "g"))("")) (((" " "x" "g"))(""))
    ((("b" "g"))("")) (((" " "b" "g"))(""))
    ((("m" "g"))("")) (((" " "m" "g"))("ˢ"))
    ((("w" "g"))("")) (((" " "w" "g"))(""))
    ((("v" "g"))("")) (((" " "v" "g"))(""))
    ((("z" "g"))("ž")) (((" " "z" "g"))(""))
    ((("/" "g"))("")) (((" " "/" "g"))(""))
    ((("1" "c"))("")) (((" " "1" "c"))(""))
    ((("2" "c"))("")) (((" " "2" "c"))(""))
    ((("3" "c"))("")) (((" " "3" "c"))(""))
    ((("4" "c"))("˴")) (((" " "4" "c"))(""))
    ((("5" "c"))("")) (((" " "5" "c"))(""))
    ((("6" "c"))("˼")) (((" " "6" "c"))(""))
    ((("7" "c"))("")) (((" " "7" "c"))(""))
    ((("8" "c"))("")) (((" " "8" "c"))(""))
    ((("9" "c"))("°")) (((" " "9" "c"))(""))
    ((("0" "c"))("")) (((" " "0" "c"))(""))
    ((("," "c"))("")) (((" " "," "c"))(""))
    ((("." "c"))("")) (((" " "." "c"))(""))
    ((("p" "c"))("ư")) (((" " "p" "c"))(""))
    ((("y" "c"))("")) (((" " "y" "c"))(""))
    ((("f" "c"))("")) (((" " "f" "c"))(""))
    ((("g" "c"))("")) (((" " "g" "c"))(""))
    ((("c" "c"))("")) (((" " "c" "c"))(""))
    ((("r" "c"))("")) (((" " "r" "c"))(""))
    ((("l" "c"))("")) (((" " "l" "c"))(""))
    ((("a" "c"))("")) (((" " "a" "c"))(""))
    ((("o" "c"))("")) (((" " "o" "c"))(""))
    ((("e" "c"))("λ")) (((" " "e" "c"))("μ"))
    ((("u" "c"))("")) (((" " "u" "c"))(""))
    ((("i" "c"))("ϻ")) (((" " "i" "c"))(""))
    ((("d" "c"))("")) (((" " "d" "c"))(""))
    ((("h" "c"))("")) (((" " "h" "c"))(""))
    ((("t" "c"))("Ǯ")) (((" " "t" "c"))(""))
    ((("n" "c"))("")) (((" " "n" "c"))(""))
    ((("s" "c"))("Ƭ")) (((" " "s" "c"))("˹"))
    (((";" "c"))("")) (((" " ";" "c"))(""))
    ((("q" "c"))("")) (((" " "q" "c"))(""))
    ((("j" "c"))("")) (((" " "j" "c"))("Σ"))
    ((("k" "c"))("")) (((" " "k" "c"))(""))
    ((("x" "c"))("")) (((" " "x" "c"))(""))
    ((("b" "c"))("")) (((" " "b" "c"))(""))
    ((("m" "c"))("")) (((" " "m" "c"))(""))
    ((("w" "c"))("")) (((" " "w" "c"))(""))
    ((("v" "c"))("")) (((" " "v" "c"))(""))
    ((("z" "c"))("")) (((" " "z" "c"))(""))
    ((("/" "c"))("")) (((" " "/" "c"))(""))
    ((("1" "r"))("")) (((" " "1" "r"))(""))
    ((("2" "r"))("")) (((" " "2" "r"))("ʽ"))
    ((("3" "r"))("")) (((" " "3" "r"))(""))
    ((("4" "r"))("")) (((" " "4" "r"))(""))
    ((("5" "r"))("")) (((" " "5" "r"))(""))
    ((("6" "r"))("")) (((" " "6" "r"))(""))
    ((("7" "r"))("")) (((" " "7" "r"))(""))
    ((("8" "r"))("")) (((" " "8" "r"))(""))
    ((("9" "r"))("®")) (((" " "9" "r"))(""))
    ((("0" "r"))("")) (((" " "0" "r"))(""))
    ((("," "r"))("")) (((" " "," "r"))(""))
    ((("." "r"))("")) (((" " "." "r"))(""))
    ((("p" "r"))("Ω")) (((" " "p" "r"))(""))
    ((("y" "r"))("")) (((" " "y" "r"))(""))
    ((("f" "r"))("¦")) (((" " "f" "r"))(""))
    ((("g" "r"))("")) (((" " "g" "r"))(""))
    ((("c" "r"))("")) (((" " "c" "r"))(""))
    ((("r" "r"))("")) (((" " "r" "r"))(""))
    ((("l" "r"))("")) (((" " "l" "r"))(""))
    ((("a" "r"))("")) (((" " "a" "r"))(""))
    ((("o" "r"))("ȯ")) (((" " "o" "r"))(""))
    ((("e" "r"))("ǽ")) (((" " "e" "r"))(""))
    ((("u" "r"))("")) (((" " "u" "r"))(""))
    ((("i" "r"))("")) (((" " "i" "r"))("Ȥ"))
    ((("d" "r"))("")) (((" " "d" "r"))(""))
    ((("h" "r"))("")) (((" " "h" "r"))(""))
    ((("t" "r"))("")) (((" " "t" "r"))(""))
    ((("n" "r"))("")) (((" " "n" "r"))(""))
    ((("s" "r"))("")) (((" " "s" "r"))(""))
    (((";" "r"))("")) (((" " ";" "r"))(""))
    ((("q" "r"))("")) (((" " "q" "r"))(""))
    ((("j" "r"))("")) (((" " "j" "r"))(""))
    ((("k" "r"))("")) (((" " "k" "r"))(""))
    ((("x" "r"))("")) (((" " "x" "r"))(""))
    ((("b" "r"))("")) (((" " "b" "r"))(""))
    ((("m" "r"))("̾")) (((" " "m" "r"))(""))
    ((("w" "r"))("")) (((" " "w" "r"))(""))
    ((("v" "r"))("")) (((" " "v" "r"))(""))
    ((("z" "r"))("Ŭ")) (((" " "z" "r"))(""))
    ((("/" "r"))("")) (((" " "/" "r"))(""))
    ((("1" "l"))("")) (((" " "1" "l"))(""))
    ((("2" "l"))("")) (((" " "2" "l"))(""))
    ((("3" "l"))("̴")) (((" " "3" "l"))("ѳ"))
    ((("4" "l"))("")) (((" " "4" "l"))(""))
    ((("5" "l"))("")) (((" " "5" "l"))(""))
    ((("6" "l"))("")) (((" " "6" "l"))(""))
    ((("7" "l"))("")) (((" " "7" "l"))(""))
    ((("8" "l"))("")) (((" " "8" "l"))(""))
    ((("9" "l"))("")) (((" " "9" "l"))(""))
    ((("0" "l"))("")) (((" " "0" "l"))(""))
    ((("," "l"))("")) (((" " "," "l"))(""))
    ((("." "l"))("")) (((" " "." "l"))(""))
    ((("p" "l"))("")) (((" " "p" "l"))(""))
    ((("y" "l"))("")) (((" " "y" "l"))(""))
    ((("f" "l"))("")) (((" " "f" "l"))("˵"))
    ((("g" "l"))("")) (((" " "g" "l"))("۩"))
    ((("c" "l"))("")) (((" " "c" "l"))(""))
    ((("r" "l"))("")) (((" " "r" "l"))(""))
    ((("l" "l"))("")) (((" " "l" "l"))(""))
    ((("a" "l"))("­")) (((" " "a" "l"))(""))
    ((("o" "l"))("")) (((" " "o" "l"))("ũ"))
    ((("e" "l"))("")) (((" " "e" "l"))(""))
    ((("u" "l"))("̱")) (((" " "u" "l"))(""))
    ((("i" "l"))("")) (((" " "i" "l"))(""))
    ((("d" "l"))("")) (((" " "d" "l"))(""))
    ((("h" "l"))("")) (((" " "h" "l"))(""))
    ((("t" "l"))("")) (((" " "t" "l"))(""))
    ((("n" "l"))("")) (((" " "n" "l"))(""))
    ((("s" "l"))("")) (((" " "s" "l"))(""))
    (((";" "l"))("ʸ")) (((" " ";" "l"))(""))
    ((("q" "l"))("")) (((" " "q" "l"))(""))
    ((("j" "l"))("")) (((" " "j" "l"))("¥"))
    ((("k" "l"))("ŷ")) (((" " "k" "l"))(""))
    ((("x" "l"))("")) (((" " "x" "l"))(""))
    ((("b" "l"))("")) (((" " "b" "l"))("ķ"))
    ((("m" "l"))("")) (((" " "m" "l"))(""))
    ((("w" "l"))("")) (((" " "w" "l"))(""))
    ((("v" "l"))("")) (((" " "v" "l"))(""))
    ((("z" "l"))("")) (((" " "z" "l"))(""))
    ((("/" "l"))("")) (((" " "/" "l"))(""))
    ((("1" "a"))("")) (((" " "1" "a"))(""))
    ((("2" "a"))("")) (((" " "2" "a"))("Ϯ"))
    ((("3" "a"))("")) (((" " "3" "a"))(""))
    ((("4" "a"))("")) (((" " "4" "a"))(""))
    ((("5" "a"))("ɩ")) (((" " "5" "a"))("ο"))
    ((("6" "a"))("")) (((" " "6" "a"))("ϰ"))
    ((("7" "a"))("")) (((" " "7" "a"))(""))
    ((("8" "a"))("Ļ")) (((" " "8" "a"))(""))
    ((("9" "a"))("")) (((" " "9" "a"))(""))
    ((("0" "a"))("")) (((" " "0" "a"))(""))
    ((("," "a"))("")) (((" " "," "a"))(""))
    ((("." "a"))("")) (((" " "." "a"))(""))
    ((("p" "a"))("")) (((" " "p" "a"))(""))
    ((("y" "a"))("")) (((" " "y" "a"))(""))
    ((("f" "a"))("")) (((" " "f" "a"))(""))
    ((("g" "a"))("")) (((" " "g" "a"))(""))
    ((("c" "a"))("")) (((" " "c" "a"))(""))
    ((("r" "a"))("")) (((" " "r" "a"))(""))
    ((("l" "a"))("")) (((" " "l" "a"))(""))
    ((("a" "a"))("")) (((" " "a" "a"))(""))
    ((("o" "a"))("")) (((" " "o" "a"))(""))
    ((("e" "a"))("")) (((" " "e" "a"))(""))
    ((("u" "a"))("")) (((" " "u" "a"))(""))
    ((("i" "a"))("")) (((" " "i" "a"))(""))
    ((("d" "a"))("")) (((" " "d" "a"))(""))
    ((("h" "a"))("3")) (((" " "h" "a"))(""))
    ((("t" "a"))("")) (((" " "t" "a"))(""))
    ((("n" "a"))("")) (((" " "n" "a"))(""))
    ((("s" "a"))("")) (((" " "s" "a"))(""))
    (((";" "a"))("")) (((" " ";" "a"))(""))
    ((("q" "a"))("")) (((" " "q" "a"))(""))
    ((("j" "a"))("")) (((" " "j" "a"))(""))
    ((("k" "a"))("")) (((" " "k" "a"))(""))
    ((("x" "a"))("")) (((" " "x" "a"))(""))
    ((("b" "a"))("")) (((" " "b" "a"))(""))
    ((("m" "a"))("")) (((" " "m" "a"))(""))
    ((("w" "a"))("")) (((" " "w" "a"))(""))
    ((("v" "a"))("")) (((" " "v" "a"))(""))
    ((("z" "a"))("")) (((" " "z" "a"))(""))
    ((("/" "a"))("")) (((" " "/" "a"))(""))
    ((("1" "o"))("")) (((" " "1" "o"))(""))
    ((("2" "o"))("Ǽ")) (((" " "2" "o"))(""))
    ((("3" "o"))("")) (((" " "3" "o"))(""))
    ((("4" "o"))("ƨ")) (((" " "4" "o"))(""))
    ((("5" "o"))("")) (((" " "5" "o"))("̲"))
    ((("6" "o"))("")) (((" " "6" "o"))(""))
    ((("7" "o"))("")) (((" " "7" "o"))(""))
    ((("8" "o"))("")) (((" " "8" "o"))(""))
    ((("9" "o"))("")) (((" " "9" "o"))(""))
    ((("0" "o"))("")) (((" " "0" "o"))(""))
    ((("," "o"))("")) (((" " "," "o"))(""))
    ((("." "o"))("")) (((" " "." "o"))(""))
    ((("p" "o"))("")) (((" " "p" "o"))(""))
    ((("y" "o"))("")) (((" " "y" "o"))("ݨ"))
    ((("f" "o"))("")) (((" " "f" "o"))(""))
    ((("g" "o"))("")) (((" " "g" "o"))(""))
    ((("c" "o"))("")) (((" " "c" "o"))(""))
    ((("r" "o"))("")) (((" " "r" "o"))(""))
    ((("l" "o"))("")) (((" " "l" "o"))(""))
    ((("a" "o"))("")) (((" " "a" "o"))(""))
    ((("o" "o"))("")) (((" " "o" "o"))(""))
    ((("e" "o"))("")) (((" " "e" "o"))(""))
    ((("u" "o"))("")) (((" " "u" "o"))(""))
    ((("i" "o"))("")) (((" " "i" "o"))(""))
    ((("d" "o"))("")) (((" " "d" "o"))(""))
    ((("h" "o"))("")) (((" " "h" "o"))(""))
    ((("t" "o"))("")) (((" " "t" "o"))(""))
    ((("n" "o"))("")) (((" " "n" "o"))(""))
    ((("s" "o"))("")) (((" " "s" "o"))(""))
    (((";" "o"))("")) (((" " ";" "o"))(""))
    ((("q" "o"))("")) (((" " "q" "o"))(""))
    ((("j" "o"))("")) (((" " "j" "o"))(""))
    ((("k" "o"))("")) (((" " "k" "o"))(""))
    ((("x" "o"))("")) (((" " "x" "o"))(""))
    ((("b" "o"))("")) (((" " "b" "o"))("¯"))
    ((("m" "o"))("")) (((" " "m" "o"))(""))
    ((("w" "o"))("")) (((" " "w" "o"))(""))
    ((("v" "o"))("")) (((" " "v" "o"))(""))
    ((("z" "o"))("")) (((" " "z" "o"))(""))
    ((("/" "o"))("")) (((" " "/" "o"))(""))
    ((("1" "e"))("")) (((" " "1" "e"))(""))
    ((("2" "e"))("")) (((" " "2" "e"))(""))
    ((("3" "e"))("")) (((" " "3" "e"))(""))
    ((("4" "e"))("")) (((" " "4" "e"))(""))
    ((("5" "e"))("")) (((" " "5" "e"))(""))
    ((("6" "e"))("")) (((" " "6" "e"))(""))
    ((("7" "e"))("")) (((" " "7" "e"))(""))
    ((("8" "e"))("Ʈ")) (((" " "8" "e"))(""))
    ((("9" "e"))("")) (((" " "9" "e"))(""))
    ((("0" "e"))("ͼ")) (((" " "0" "e"))(""))
    ((("," "e"))("Ȭ")) (((" " "," "e"))(""))
    ((("." "e"))("")) (((" " "." "e"))(""))
    ((("p" "e"))("")) (((" " "p" "e"))(""))
    ((("y" "e"))("")) (((" " "y" "e"))(""))
    ((("f" "e"))("")) (((" " "f" "e"))("̥"))
    ((("g" "e"))("")) (((" " "g" "e"))(""))
    ((("c" "e"))("")) (((" " "c" "e"))(""))
    ((("r" "e"))("")) (((" " "r" "e"))(""))
    ((("l" "e"))("")) (((" " "l" "e"))(""))
    ((("a" "e"))("")) (((" " "a" "e"))(""))
    ((("o" "e"))("")) (((" " "o" "e"))(""))
    ((("e" "e"))("ξ")) (((" " "e" "e"))(""))
    ((("u" "e"))("")) (((" " "u" "e"))(""))
    ((("i" "e"))("")) (((" " "i" "e"))(""))
    ((("d" "e"))("")) (((" " "d" "e"))(""))
    ((("h" "e"))("7")) (((" " "h" "e"))(""))
    ((("t" "e"))("!")) (((" " "t" "e"))(""))
    ((("n" "e"))("")) (((" " "n" "e"))(""))
    ((("s" "e"))("")) (((" " "s" "e"))(""))
    (((";" "e"))("")) (((" " ";" "e"))(""))
    ((("q" "e"))("")) (((" " "q" "e"))(""))
    ((("j" "e"))("")) (((" " "j" "e"))(""))
    ((("k" "e"))("(")) (((" " "k" "e"))(""))
    ((("x" "e"))("")) (((" " "x" "e"))(""))
    ((("b" "e"))("")) (((" " "b" "e"))(""))
    ((("m" "e"))("")) (((" " "m" "e"))(""))
    ((("w" "e"))("")) (((" " "w" "e"))(""))
    ((("v" "e"))("")) (((" " "v" "e"))(""))
    ((("z" "e"))("")) (((" " "z" "e"))(""))
    ((("/" "e"))("")) (((" " "/" "e"))("į"))
    ((("1" "u"))("")) (((" " "1" "u"))(""))
    ((("2" "u"))("")) (((" " "2" "u"))(""))
    ((("3" "u"))("")) (((" " "3" "u"))(""))
    ((("4" "u"))("")) (((" " "4" "u"))(""))
    ((("5" "u"))("ʣ")) (((" " "5" "u"))(""))
    ((("6" "u"))("ɹ")) (((" " "6" "u"))(""))
    ((("7" "u"))("")) (((" " "7" "u"))(""))
    ((("8" "u"))("")) (((" " "8" "u"))(""))
    ((("9" "u"))("")) (((" " "9" "u"))(""))
    ((("0" "u"))("")) (((" " "0" "u"))(""))
    ((("," "u"))("")) (((" " "," "u"))(""))
    ((("." "u"))("")) (((" " "." "u"))(""))
    ((("p" "u"))("")) (((" " "p" "u"))(""))
    ((("y" "u"))("")) (((" " "y" "u"))(""))
    ((("f" "u"))("")) (((" " "f" "u"))(""))
    ((("g" "u"))("")) (((" " "g" "u"))(""))
    ((("c" "u"))("ι")) (((" " "c" "u"))(""))
    ((("r" "u"))("")) (((" " "r" "u"))(""))
    ((("l" "u"))("")) (((" " "l" "u"))(""))
    ((("a" "u"))("")) (((" " "a" "u"))("̯"))
    ((("o" "u"))("")) (((" " "o" "u"))("˻"))
    ((("e" "u"))("")) (((" " "e" "u"))(""))
    ((("u" "u"))("")) (((" " "u" "u"))("ͫ"))
    ((("i" "u"))("")) (((" " "i" "u"))(""))
    ((("d" "u"))("")) (((" " "d" "u"))(""))
    ((("h" "u"))("")) (((" " "h" "u"))(""))
    ((("t" "u"))("")) (((" " "t" "u"))(""))
    ((("n" "u"))("")) (((" " "n" "u"))(""))
    ((("s" "u"))("")) (((" " "s" "u"))(""))
    (((";" "u"))("")) (((" " ";" "u"))("ȡ"))
    ((("q" "u"))("")) (((" " "q" "u"))(""))
    ((("j" "u"))("")) (((" " "j" "u"))(""))
    ((("k" "u"))("")) (((" " "k" "u"))(""))
    ((("x" "u"))("")) (((" " "x" "u"))(""))
    ((("b" "u"))("")) (((" " "b" "u"))(""))
    ((("m" "u"))("")) (((" " "m" "u"))(""))
    ((("w" "u"))("")) (((" " "w" "u"))(""))
    ((("v" "u"))("")) (((" " "v" "u"))(""))
    ((("z" "u"))("")) (((" " "z" "u"))("Ī"))
    ((("/" "u"))("")) (((" " "/" "u"))(""))
    ((("1" "i"))("")) (((" " "1" "i"))(""))
    ((("2" "i"))("")) (((" " "2" "i"))(""))
    ((("3" "i"))("")) (((" " "3" "i"))(""))
    ((("4" "i"))("ɮ")) (((" " "4" "i"))(""))
    ((("5" "i"))("Τ")) (((" " "5" "i"))(""))
    ((("6" "i"))("")) (((" " "6" "i"))(""))
    ((("7" "i"))("")) (((" " "7" "i"))(""))
    ((("8" "i"))("")) (((" " "8" "i"))(""))
    ((("9" "i"))("")) (((" " "9" "i"))(""))
    ((("0" "i"))("")) (((" " "0" "i"))(""))
    ((("," "i"))("")) (((" " "," "i"))("ϣ"))
    ((("." "i"))("ǰ")) (((" " "." "i"))("Ǳ"))
    ((("p" "i"))("")) (((" " "p" "i"))("£"))
    ((("y" "i"))("")) (((" " "y" "i"))(""))
    ((("f" "i"))("")) (((" " "f" "i"))("Ż"))
    ((("g" "i"))("")) (((" " "g" "i"))(""))
    ((("c" "i"))("ǧ")) (((" " "c" "i"))("Ǧ"))
    ((("r" "i"))("")) (((" " "r" "i"))("Ž"))
    ((("l" "i"))("")) (((" " "l" "i"))(""))
    ((("a" "i"))("")) (((" " "a" "i"))(""))
    ((("o" "i"))("")) (((" " "o" "i"))(""))
    ((("e" "i"))("")) (((" " "e" "i"))(""))
    ((("u" "i"))("ī")) (((" " "u" "i"))(""))
    ((("i" "i"))("")) (((" " "i" "i"))(""))
    ((("d" "i"))("ϫ")) (((" " "d" "i"))(""))
    ((("h" "i"))("")) (((" " "h" "i"))(""))
    ((("t" "i"))("")) (((" " "t" "i"))(""))
    ((("n" "i"))("")) (((" " "n" "i"))(""))
    ((("s" "i"))("")) (((" " "s" "i"))(""))
    (((";" "i"))("ë")) (((" " ";" "i"))(""))
    ((("q" "i"))("")) (((" " "q" "i"))(""))
    ((("j" "i"))("")) (((" " "j" "i"))(""))
    ((("k" "i"))("")) (((" " "k" "i"))(""))
    ((("x" "i"))("Ƴ")) (((" " "x" "i"))(""))
    ((("b" "i"))("")) (((" " "b" "i"))(""))
    ((("m" "i"))("")) (((" " "m" "i"))(""))
    ((("w" "i"))("")) (((" " "w" "i"))("Ͷ"))
    ((("v" "i"))("")) (((" " "v" "i"))(""))
    ((("z" "i"))("")) (((" " "z" "i"))(""))
    ((("/" "i"))("Ư")) (((" " "/" "i"))(""))
    ((("1" "d"))("")) (((" " "1" "d"))(""))
    ((("2" "d"))("")) (((" " "2" "d"))(""))
    ((("3" "d"))("")) (((" " "3" "d"))(""))
    ((("4" "d"))("")) (((" " "4" "d"))(""))
    ((("5" "d"))("")) (((" " "5" "d"))("ǭ"))
    ((("6" "d"))("")) (((" " "6" "d"))(""))
    ((("7" "d"))("")) (((" " "7" "d"))(""))
    ((("8" "d"))("")) (((" " "8" "d"))(""))
    ((("9" "d"))("ʩ")) (((" " "9" "d"))(""))
    ((("0" "d"))("")) (((" " "0" "d"))(""))
    ((("," "d"))("")) (((" " "," "d"))(""))
    ((("." "d"))("")) (((" " "." "d"))(""))
    ((("p" "d"))("")) (((" " "p" "d"))(""))
    ((("y" "d"))("")) (((" " "y" "d"))("ݵ"))
    ((("f" "d"))("")) (((" " "f" "d"))("Ǭ"))
    ((("g" "d"))("")) (((" " "g" "d"))(""))
    ((("c" "d"))("")) (((" " "c" "d"))(""))
    ((("r" "d"))("³")) (((" " "r" "d"))(""))
    ((("l" "d"))("5")) (((" " "l" "d"))(""))
    ((("a" "d"))("")) (((" " "a" "d"))(""))
    ((("o" "d"))("")) (((" " "o" "d"))(""))
    ((("e" "d"))("")) (((" " "e" "d"))(""))
    ((("u" "d"))("4")) (((" " "u" "d"))(""))
    ((("i" "d"))(")")) (((" " "i" "d"))(""))
    ((("d" "d"))("")) (((" " "d" "d"))(""))
    ((("h" "d"))("")) (((" " "h" "d"))(""))
    ((("t" "d"))("")) (((" " "t" "d"))(""))
    ((("n" "d"))("")) (((" " "n" "d"))(""))
    ((("s" "d"))("")) (((" " "s" "d"))(""))
    (((";" "d"))("1")) (((" " ";" "d"))(""))
    ((("q" "d"))("")) (((" " "q" "d"))(""))
    ((("j" "d"))("")) (((" " "j" "d"))(""))
    ((("k" "d"))("")) (((" " "k" "d"))(""))
    ((("x" "d"))("")) (((" " "x" "d"))(""))
    ((("b" "d"))("")) (((" " "b" "d"))(""))
    ((("m" "d"))("")) (((" " "m" "d"))(""))
    ((("w" "d"))("")) (((" " "w" "d"))(""))
    ((("v" "d"))("Ⱦ")) (((" " "v" "d"))("ȼ"))
    ((("z" "d"))("")) (((" " "z" "d"))(""))
    ((("/" "d"))("")) (((" " "/" "d"))("ɤ"))
    ((("1" "h"))("")) (((" " "1" "h"))(""))
    ((("2" "h"))("")) (((" " "2" "h"))(""))
    ((("3" "h"))("")) (((" " "3" "h"))(""))
    ((("4" "h"))("")) (((" " "4" "h"))(""))
    ((("5" "h"))("")) (((" " "5" "h"))(""))
    ((("6" "h"))("")) (((" " "6" "h"))(""))
    ((("7" "h"))("")) (((" " "7" "h"))(""))
    ((("8" "h"))("")) (((" " "8" "h"))(""))
    ((("9" "h"))("")) (((" " "9" "h"))(""))
    ((("0" "h"))("")) (((" " "0" "h"))("۹"))
    ((("," "h"))("")) (((" " "," "h"))(""))
    ((("." "h"))("ʿ")) (((" " "." "h"))(""))
    ((("p" "h"))("ʪ")) (((" " "p" "h"))("ͣ"))
    ((("y" "h"))("")) (((" " "y" "h"))("̸"))
    ((("f" "h"))("")) (((" " "f" "h"))("ۣ"))
    ((("g" "h"))("")) (((" " "g" "h"))(""))
    ((("c" "h"))("")) (((" " "c" "h"))(""))
    ((("r" "h"))("ϩ")) (((" " "r" "h"))(""))
    ((("l" "h"))("ƣ")) (((" " "l" "h"))(""))
    ((("a" "h"))("")) (((" " "a" "h"))(""))
    ((("o" "h"))("")) (((" " "o" "h"))(""))
    ((("e" "h"))("")) (((" " "e" "h"))(""))
    ((("u" "h"))("")) (((" " "u" "h"))(""))
    ((("i" "h"))("")) (((" " "i" "h"))(""))
    ((("d" "h"))("")) (((" " "d" "h"))(""))
    ((("h" "h"))("")) (((" " "h" "h"))(""))
    ((("t" "h"))("")) (((" " "t" "h"))("Ѩ"))
    ((("n" "h"))("")) (((" " "n" "h"))(""))
    ((("s" "h"))("ɬ")) (((" " "s" "h"))(""))
    (((";" "h"))("ͭ")) (((" " ";" "h"))(""))
    ((("q" "h"))("")) (((" " "q" "h"))(""))
    ((("j" "h"))("")) (((" " "j" "h"))(""))
    ((("k" "h"))("")) (((" " "k" "h"))(""))
    ((("x" "h"))("ʼ")) (((" " "x" "h"))(""))
    ((("b" "h"))("")) (((" " "b" "h"))("ν"))
    ((("m" "h"))("")) (((" " "m" "h"))(""))
    ((("w" "h"))("")) (((" " "w" "h"))(""))
    ((("v" "h"))("")) (((" " "v" "h"))(""))
    ((("z" "h"))("")) (((" " "z" "h"))(""))
    ((("/" "h"))("")) (((" " "/" "h"))(""))
    ((("1" "t"))("")) (((" " "1" "t"))(""))
    ((("2" "t"))("")) (((" " "2" "t"))(""))
    ((("3" "t"))("")) (((" " "3" "t"))(""))
    ((("4" "t"))("")) (((" " "4" "t"))(""))
    ((("5" "t"))("")) (((" " "5" "t"))(""))
    ((("6" "t"))("")) (((" " "6" "t"))(""))
    ((("7" "t"))("")) (((" " "7" "t"))(""))
    ((("8" "t"))("")) (((" " "8" "t"))(""))
    ((("9" "t"))("")) (((" " "9" "t"))(""))
    ((("0" "t"))("")) (((" " "0" "t"))(""))
    ((("," "t"))("")) (((" " "," "t"))(""))
    ((("." "t"))("")) (((" " "." "t"))(""))
    ((("p" "t"))("")) (((" " "p" "t"))(""))
    ((("y" "t"))("")) (((" " "y" "t"))(""))
    ((("f" "t"))("")) (((" " "f" "t"))(""))
    ((("g" "t"))("")) (((" " "g" "t"))("γ"))
    ((("c" "t"))("")) (((" " "c" "t"))(""))
    ((("r" "t"))("")) (((" " "r" "t"))(""))
    ((("l" "t"))("")) (((" " "l" "t"))(""))
    ((("a" "t"))("")) (((" " "a" "t"))("̨"))
    ((("o" "t"))("")) (((" " "o" "t"))(""))
    ((("e" "t"))("")) (((" " "e" "t"))("Ρ"))
    ((("u" "t"))("")) (((" " "u" "t"))(""))
    ((("i" "t"))("")) (((" " "i" "t"))(""))
    ((("d" "t"))("")) (((" " "d" "t"))(""))
    ((("h" "t"))("")) (((" " "h" "t"))(""))
    ((("t" "t"))("")) (((" " "t" "t"))(""))
    ((("n" "t"))("")) (((" " "n" "t"))(""))
    ((("s" "t"))("")) (((" " "s" "t"))("ø"))
    (((";" "t"))("ǯ")) (((" " ";" "t"))(""))
    ((("q" "t"))("")) (((" " "q" "t"))(""))
    ((("j" "t"))("")) (((" " "j" "t"))(""))
    ((("k" "t"))("8")) (((" " "k" "t"))("˪"))
    ((("x" "t"))("")) (((" " "x" "t"))(""))
    ((("b" "t"))("")) (((" " "b" "t"))(""))
    ((("m" "t"))("")) (((" " "m" "t"))(""))
    ((("w" "t"))("")) (((" " "w" "t"))(""))
    ((("v" "t"))("")) (((" " "v" "t"))(""))
    ((("z" "t"))("")) (((" " "z" "t"))(""))
    ((("/" "t"))("")) (((" " "/" "t"))(""))
    ((("1" "n"))("")) (((" " "1" "n"))(""))
    ((("2" "n"))("")) (((" " "2" "n"))(""))
    ((("3" "n"))("")) (((" " "3" "n"))(""))
    ((("4" "n"))("")) (((" " "4" "n"))(""))
    ((("5" "n"))("ϯ")) (((" " "5" "n"))(""))
    ((("6" "n"))("")) (((" " "6" "n"))(""))
    ((("7" "n"))("")) (((" " "7" "n"))(""))
    ((("8" "n"))("")) (((" " "8" "n"))(""))
    ((("9" "n"))("")) (((" " "9" "n"))(""))
    ((("0" "n"))("")) (((" " "0" "n"))(""))
    ((("," "n"))("")) (((" " "," "n"))(""))
    ((("." "n"))("")) (((" " "." "n"))(""))
    ((("p" "n"))("")) (((" " "p" "n"))(""))
    ((("y" "n"))("")) (((" " "y" "n"))(""))
    ((("f" "n"))("")) (((" " "f" "n"))(""))
    ((("g" "n"))("")) (((" " "g" "n"))(""))
    ((("c" "n"))("")) (((" " "c" "n"))(""))
    ((("r" "n"))("")) (((" " "r" "n"))(""))
    ((("l" "n"))("ɽ")) (((" " "l" "n"))(""))
    ((("a" "n"))("")) (((" " "a" "n"))(""))
    ((("o" "n"))("")) (((" " "o" "n"))(""))
    ((("e" "n"))("")) (((" " "e" "n"))(""))
    ((("u" "n"))("")) (((" " "u" "n"))(""))
    ((("i" "n"))("")) (((" " "i" "n"))(""))
    ((("d" "n"))("")) (((" " "d" "n"))(""))
    ((("h" "n"))("")) (((" " "h" "n"))(""))
    ((("t" "n"))("")) (((" " "t" "n"))(""))
    ((("n" "n"))("")) (((" " "n" "n"))(""))
    ((("s" "n"))("Ͽ")) (((" " "s" "n"))("Ͻ"))
    (((";" "n"))("")) (((" " ";" "n"))(""))
    ((("q" "n"))("")) (((" " "q" "n"))(""))
    ((("j" "n"))("")) (((" " "j" "n"))(""))
    ((("k" "n"))("")) (((" " "k" "n"))(""))
    ((("x" "n"))("")) (((" " "x" "n"))(""))
    ((("b" "n"))("")) (((" " "b" "n"))("ϲ"))
    ((("m" "n"))("")) (((" " "m" "n"))(""))
    ((("w" "n"))("ģ")) (((" " "w" "n"))(""))
    ((("v" "n"))("")) (((" " "v" "n"))(""))
    ((("z" "n"))("")) (((" " "z" "n"))(""))
    ((("/" "n"))("")) (((" " "/" "n"))(""))
    ((("1" "s"))("")) (((" " "1" "s"))(""))
    ((("2" "s"))("")) (((" " "2" "s"))(""))
    ((("3" "s"))("")) (((" " "3" "s"))(""))
    ((("4" "s"))("")) (((" " "4" "s"))(""))
    ((("5" "s"))("ɳ")) (((" " "5" "s"))(""))
    ((("6" "s"))("ŵ")) (((" " "6" "s"))(""))
    ((("7" "s"))("")) (((" " "7" "s"))(""))
    ((("8" "s"))("")) (((" " "8" "s"))(""))
    ((("9" "s"))("")) (((" " "9" "s"))(""))
    ((("0" "s"))("")) (((" " "0" "s"))(""))
    ((("," "s"))("")) (((" " "," "s"))("̢"))
    ((("." "s"))("")) (((" " "." "s"))("˧"))
    ((("p" "s"))("")) (((" " "p" "s"))("ϵ"))
    ((("y" "s"))("")) (((" " "y" "s"))(""))
    ((("f" "s"))("")) (((" " "f" "s"))("å"))
    ((("g" "s"))("")) (((" " "g" "s"))(""))
    ((("c" "s"))("¢")) (((" " "c" "s"))(""))
    ((("r" "s"))("")) (((" " "r" "s"))("ÿ"))
    ((("l" "s"))("")) (((" " "l" "s"))(""))
    ((("a" "s"))("")) (((" " "a" "s"))("š"))
    ((("o" "s"))("")) (((" " "o" "s"))(""))
    ((("e" "s"))("")) (((" " "e" "s"))(""))
    ((("u" "s"))("")) (((" " "u" "s"))(""))
    ((("i" "s"))("")) (((" " "i" "s"))(""))
    ((("d" "s"))("")) (((" " "d" "s"))(""))
    ((("h" "s"))("")) (((" " "h" "s"))(""))
    ((("t" "s"))("")) (((" " "t" "s"))(""))
    ((("n" "s"))("")) (((" " "n" "s"))("Ϥ"))
    ((("s" "s"))("")) (((" " "s" "s"))(""))
    (((";" "s"))("")) (((" " ";" "s"))(""))
    ((("q" "s"))("")) (((" " "q" "s"))("ƿ"))
    ((("j" "s"))("")) (((" " "j" "s"))(""))
    ((("k" "s"))("")) (((" " "k" "s"))("á"))
    ((("x" "s"))("")) (((" " "x" "s"))(""))
    ((("b" "s"))("¤")) (((" " "b" "s"))(""))
    ((("m" "s"))("")) (((" " "m" "s"))(""))
    ((("w" "s"))("ͺ")) (((" " "w" "s"))(""))
    ((("v" "s"))("")) (((" " "v" "s"))(""))
    ((("z" "s"))("")) (((" " "z" "s"))(""))
    ((("/" "s"))("")) (((" " "/" "s"))(""))
    ((("1" ";"))("")) (((" " "1" ";"))(""))
    ((("2" ";"))("")) (((" " "2" ";"))(""))
    ((("3" ";"))("")) (((" " "3" ";"))(""))
    ((("4" ";"))("")) (((" " "4" ";"))(""))
    ((("5" ";"))("")) (((" " "5" ";"))(""))
    ((("6" ";"))("")) (((" " "6" ";"))(""))
    ((("7" ";"))("")) (((" " "7" ";"))("ɪ"))
    ((("8" ";"))("Ʒ")) (((" " "8" ";"))("Ǩ"))
    ((("9" ";"))("ƫ")) (((" " "9" ";"))(""))
    ((("0" ";"))("")) (((" " "0" ";"))(""))
    ((("," ";"))("")) (((" " "," ";"))(""))
    ((("." ";"))("")) (((" " "." ";"))(""))
    ((("p" ";"))("")) (((" " "p" ";"))(""))
    ((("y" ";"))("")) (((" " "y" ";"))(""))
    ((("f" ";"))("")) (((" " "f" ";"))(""))
    ((("g" ";"))("")) (((" " "g" ";"))(""))
    ((("c" ";"))("")) (((" " "c" ";"))(""))
    ((("r" ";"))("")) (((" " "r" ";"))("ĩ"))
    ((("l" ";"))("")) (((" " "l" ";"))(""))
    ((("a" ";"))("")) (((" " "a" ";"))(""))
    ((("o" ";"))("")) (((" " "o" ";"))(""))
    ((("e" ";"))("")) (((" " "e" ";"))(""))
    ((("u" ";"))("")) (((" " "u" ";"))(""))
    ((("i" ";"))("")) (((" " "i" ";"))(""))
    ((("d" ";"))("")) (((" " "d" ";"))(""))
    ((("h" ";"))("")) (((" " "h" ";"))("˷"))
    ((("t" ";"))("")) (((" " "t" ";"))(""))
    ((("n" ";"))("")) (((" " "n" ";"))(""))
    ((("s" ";"))("")) (((" " "s" ";"))(""))
    (((";" ";"))("")) (((" " ";" ";"))(""))
    ((("q" ";"))("")) (((" " "q" ";"))(""))
    ((("j" ";"))("")) (((" " "j" ";"))(""))
    ((("k" ";"))("")) (((" " "k" ";"))(""))
    ((("x" ";"))("")) (((" " "x" ";"))(""))
    ((("b" ";"))("")) (((" " "b" ";"))(""))
    ((("m" ";"))("")) (((" " "m" ";"))(""))
    ((("w" ";"))("")) (((" " "w" ";"))(""))
    ((("v" ";"))("")) (((" " "v" ";"))(""))
    ((("z" ";"))("")) (((" " "z" ";"))(""))
    ((("/" ";"))("")) (((" " "/" ";"))(""))
    ((("1" "q"))("")) (((" " "1" "q"))(""))
    ((("2" "q"))("")) (((" " "2" "q"))(""))
    ((("3" "q"))("")) (((" " "3" "q"))(""))
    ((("4" "q"))("")) (((" " "4" "q"))("ů"))
    ((("5" "q"))("")) (((" " "5" "q"))(""))
    ((("6" "q"))("")) (((" " "6" "q"))(""))
    ((("7" "q"))("")) (((" " "7" "q"))(""))
    ((("8" "q"))("ú")) (((" " "8" "q"))(""))
    ((("9" "q"))("")) (((" " "9" "q"))(""))
    ((("0" "q"))("")) (((" " "0" "q"))("ʨ"))
    ((("," "q"))("Ū")) (((" " "," "q"))("ƴ"))
    ((("." "q"))("")) (((" " "." "q"))(""))
    ((("p" "q"))("")) (((" " "p" "q"))(""))
    ((("y" "q"))("")) (((" " "y" "q"))(""))
    ((("f" "q"))("")) (((" " "f" "q"))(""))
    ((("g" "q"))("")) (((" " "g" "q"))(""))
    ((("c" "q"))("")) (((" " "c" "q"))(""))
    ((("r" "q"))("")) (((" " "r" "q"))(""))
    ((("l" "q"))("")) (((" " "l" "q"))(""))
    ((("a" "q"))("")) (((" " "a" "q"))(""))
    ((("o" "q"))("")) (((" " "o" "q"))(""))
    ((("e" "q"))("")) (((" " "e" "q"))("Ů"))
    ((("u" "q"))("")) (((" " "u" "q"))(""))
    ((("i" "q"))("̳")) (((" " "i" "q"))(""))
    ((("d" "q"))("")) (((" " "d" "q"))(""))
    ((("h" "q"))("")) (((" " "h" "q"))(""))
    ((("t" "q"))("")) (((" " "t" "q"))("ǻ"))
    ((("n" "q"))("")) (((" " "n" "q"))(""))
    ((("s" "q"))("")) (((" " "s" "q"))(""))
    (((";" "q"))("")) (((" " ";" "q"))("ݦ"))
    ((("q" "q"))("")) (((" " "q" "q"))(""))
    ((("j" "q"))("")) (((" " "j" "q"))(""))
    ((("k" "q"))("")) (((" " "k" "q"))(""))
    ((("x" "q"))("")) (((" " "x" "q"))(""))
    ((("b" "q"))("")) (((" " "b" "q"))(""))
    ((("m" "q"))("")) (((" " "m" "q"))(""))
    ((("w" "q"))("")) (((" " "w" "q"))(""))
    ((("v" "q"))("")) (((" " "v" "q"))(""))
    ((("z" "q"))("")) (((" " "z" "q"))(""))
    ((("/" "q"))("")) (((" " "/" "q"))(""))
    ((("1" "j"))("")) (((" " "1" "j"))(""))
    ((("2" "j"))("")) (((" " "2" "j"))(""))
    ((("3" "j"))("")) (((" " "3" "j"))("ϼ"))
    ((("4" "j"))("")) (((" " "4" "j"))(""))
    ((("5" "j"))("")) (((" " "5" "j"))(""))
    ((("6" "j"))("")) (((" " "6" "j"))(""))
    ((("7" "j"))("")) (((" " "7" "j"))(""))
    ((("8" "j"))("")) (((" " "8" "j"))(""))
    ((("9" "j"))("ź")) (((" " "9" "j"))(""))
    ((("0" "j"))("")) (((" " "0" "j"))(""))
    ((("," "j"))("")) (((" " "," "j"))(""))
    ((("." "j"))("")) (((" " "." "j"))(""))
    ((("p" "j"))("")) (((" " "p" "j"))(""))
    ((("y" "j"))("")) (((" " "y" "j"))(""))
    ((("f" "j"))("")) (((" " "f" "j"))(""))
    ((("g" "j"))("ή")) (((" " "g" "j"))("β"))
    ((("c" "j"))("")) (((" " "c" "j"))(""))
    ((("r" "j"))("")) (((" " "r" "j"))("˸"))
    ((("l" "j"))("")) (((" " "l" "j"))(""))
    ((("a" "j"))("͢")) (((" " "a" "j"))("͡"))
    ((("o" "j"))("")) (((" " "o" "j"))(""))
    ((("e" "j"))("")) (((" " "e" "j"))(""))
    ((("u" "j"))("")) (((" " "u" "j"))(""))
    ((("i" "j"))("")) (((" " "i" "j"))(""))
    ((("d" "j"))("")) (((" " "d" "j"))("Ͼ"))
    ((("h" "j"))("Ϣ")) (((" " "h" "j"))(""))
    ((("t" "j"))("")) (((" " "t" "j"))(""))
    ((("n" "j"))("")) (((" " "n" "j"))(""))
    ((("s" "j"))("")) (((" " "s" "j"))(""))
    (((";" "j"))("")) (((" " ";" "j"))(""))
    ((("q" "j"))("")) (((" " "q" "j"))(""))
    ((("j" "j"))("Ŵ")) (((" " "j" "j"))(""))
    ((("k" "j"))("")) (((" " "k" "j"))("ļ"))
    ((("x" "j"))("")) (((" " "x" "j"))(""))
    ((("b" "j"))("")) (((" " "b" "j"))(""))
    ((("m" "j"))("")) (((" " "m" "j"))(""))
    ((("w" "j"))("ĥ")) (((" " "w" "j"))("ı"))
    ((("v" "j"))("")) (((" " "v" "j"))(""))
    ((("z" "j"))("")) (((" " "z" "j"))("ȱ"))
    ((("/" "j"))("")) (((" " "/" "j"))(""))
    ((("1" "k"))("")) (((" " "1" "k"))(""))
    ((("2" "k"))("")) (((" " "2" "k"))(""))
    ((("3" "k"))("")) (((" " "3" "k"))(""))
    ((("4" "k"))("")) (((" " "4" "k"))(""))
    ((("5" "k"))("")) (((" " "5" "k"))(""))
    ((("6" "k"))("")) (((" " "6" "k"))(""))
    ((("7" "k"))("")) (((" " "7" "k"))(""))
    ((("8" "k"))("")) (((" " "8" "k"))(""))
    ((("9" "k"))("Ű")) (((" " "9" "k"))("ű"))
    ((("0" "k"))("̦")) (((" " "0" "k"))(""))
    ((("," "k"))("")) (((" " "," "k"))(""))
    ((("." "k"))("")) (((" " "." "k"))(""))
    ((("p" "k"))("")) (((" " "p" "k"))(""))
    ((("y" "k"))("")) (((" " "y" "k"))(""))
    ((("f" "k"))("")) (((" " "f" "k"))(""))
    ((("g" "k"))("")) (((" " "g" "k"))(""))
    ((("c" "k"))("")) (((" " "c" "k"))(""))
    ((("r" "k"))("")) (((" " "r" "k"))(""))
    ((("l" "k"))("¾")) (((" " "l" "k"))(""))
    ((("a" "k"))("")) (((" " "a" "k"))("¶"))
    ((("o" "k"))("")) (((" " "o" "k"))("Լ"))
    ((("e" "k"))("")) (((" " "e" "k"))(""))
    ((("u" "k"))("")) (((" " "u" "k"))(""))
    ((("i" "k"))("")) (((" " "i" "k"))(""))
    ((("d" "k"))("̣")) (((" " "d" "k"))(""))
    ((("h" "k"))("")) (((" " "h" "k"))(""))
    ((("t" "k"))("")) (((" " "t" "k"))(""))
    ((("n" "k"))("¼")) (((" " "n" "k"))(""))
    ((("s" "k"))("")) (((" " "s" "k"))(""))
    (((";" "k"))("")) (((" " ";" "k"))(""))
    ((("q" "k"))("")) (((" " "q" "k"))(""))
    ((("j" "k"))("")) (((" " "j" "k"))(""))
    ((("k" "k"))("")) (((" " "k" "k"))(""))
    ((("x" "k"))("")) (((" " "x" "k"))(""))
    ((("b" "k"))("̿")) (((" " "b" "k"))(""))
    ((("m" "k"))("")) (((" " "m" "k"))(""))
    ((("w" "k"))("")) (((" " "w" "k"))(""))
    ((("v" "k"))("")) (((" " "v" "k"))(""))
    ((("z" "k"))("")) (((" " "z" "k"))(""))
    ((("/" "k"))("")) (((" " "/" "k"))(""))
    ((("1" "x"))("")) (((" " "1" "x"))(""))
    ((("2" "x"))("ɲ")) (((" " "2" "x"))("ɱ"))
    ((("3" "x"))("")) (((" " "3" "x"))(""))
    ((("4" "x"))("")) (((" " "4" "x"))(""))
    ((("5" "x"))("")) (((" " "5" "x"))(""))
    ((("6" "x"))("")) (((" " "6" "x"))(""))
    ((("7" "x"))("")) (((" " "7" "x"))(""))
    ((("8" "x"))("")) (((" " "8" "x"))(""))
    ((("9" "x"))("")) (((" " "9" "x"))(""))
    ((("0" "x"))("Ȩ")) (((" " "0" "x"))(""))
    ((("," "x"))("")) (((" " "," "x"))(""))
    ((("." "x"))("")) (((" " "." "x"))(""))
    ((("p" "x"))("")) (((" " "p" "x"))("Ʃ"))
    ((("y" "x"))("")) (((" " "y" "x"))(""))
    ((("f" "x"))("")) (((" " "f" "x"))(""))
    ((("g" "x"))("")) (((" " "g" "x"))("ƥ"))
    ((("c" "x"))("")) (((" " "c" "x"))(""))
    ((("r" "x"))("ͻ")) (((" " "r" "x"))(""))
    ((("l" "x"))("")) (((" " "l" "x"))(""))
    ((("a" "x"))("")) (((" " "a" "x"))(""))
    ((("o" "x"))("")) (((" " "o" "x"))(""))
    ((("e" "x"))("ˬ")) (((" " "e" "x"))(""))
    ((("u" "x"))("")) (((" " "u" "x"))(""))
    ((("i" "x"))("")) (((" " "i" "x"))(""))
    ((("d" "x"))("")) (((" " "d" "x"))(""))
    ((("h" "x"))("")) (((" " "h" "x"))(""))
    ((("t" "x"))("")) (((" " "t" "x"))(""))
    ((("n" "x"))("")) (((" " "n" "x"))(""))
    ((("s" "x"))("")) (((" " "s" "x"))("ɨ"))
    (((";" "x"))("Ʊ")) (((" " ";" "x"))("˰"))
    ((("q" "x"))("")) (((" " "q" "x"))(""))
    ((("j" "x"))("")) (((" " "j" "x"))(""))
    ((("k" "x"))("")) (((" " "k" "x"))(""))
    ((("x" "x"))("")) (((" " "x" "x"))(""))
    ((("b" "x"))("")) (((" " "b" "x"))(""))
    ((("m" "x"))("")) (((" " "m" "x"))(""))
    ((("w" "x"))("")) (((" " "w" "x"))(""))
    ((("v" "x"))("")) (((" " "v" "x"))(""))
    ((("z" "x"))("Ƚ")) (((" " "z" "x"))(""))
    ((("/" "x"))("")) (((" " "/" "x"))(""))
    ((("1" "b"))("")) (((" " "1" "b"))(""))
    ((("2" "b"))("")) (((" " "2" "b"))(""))
    ((("3" "b"))("Χ")) (((" " "3" "b"))(""))
    ((("4" "b"))("")) (((" " "4" "b"))(""))
    ((("5" "b"))("")) (((" " "5" "b"))("ϳ"))
    ((("6" "b"))("")) (((" " "6" "b"))(""))
    ((("7" "b"))("")) (((" " "7" "b"))(""))
    ((("8" "b"))("")) (((" " "8" "b"))(""))
    ((("9" "b"))("")) (((" " "9" "b"))(""))
    ((("0" "b"))("")) (((" " "0" "b"))(""))
    ((("," "b"))("")) (((" " "," "b"))(""))
    ((("." "b"))("")) (((" " "." "b"))(""))
    ((("p" "b"))("")) (((" " "p" "b"))("Ъ"))
    ((("y" "b"))("")) (((" " "y" "b"))(""))
    ((("f" "b"))("˾")) (((" " "f" "b"))(""))
    ((("g" "b"))("")) (((" " "g" "b"))("ö"))
    ((("c" "b"))("")) (((" " "c" "b"))(""))
    ((("r" "b"))("")) (((" " "r" "b"))(""))
    ((("l" "b"))("")) (((" " "l" "b"))("·"))
    ((("a" "b"))("")) (((" " "a" "b"))(""))
    ((("o" "b"))("")) (((" " "o" "b"))(""))
    ((("e" "b"))("̤")) (((" " "e" "b"))(""))
    ((("u" "b"))("")) (((" " "u" "b"))(""))
    ((("i" "b"))("")) (((" " "i" "b"))(""))
    ((("d" "b"))("")) (((" " "d" "b"))(""))
    ((("h" "b"))("")) (((" " "h" "b"))("ſ"))
    ((("t" "b"))("")) (((" " "t" "b"))(""))
    ((("n" "b"))("")) (((" " "n" "b"))("ʷ"))
    ((("s" "b"))("")) (((" " "s" "b"))(""))
    (((";" "b"))("")) (((" " ";" "b"))(""))
    ((("q" "b"))("²")) (((" " "q" "b"))(""))
    ((("j" "b"))("")) (((" " "j" "b"))(""))
    ((("k" "b"))("")) (((" " "k" "b"))("ɰ"))
    ((("x" "b"))("")) (((" " "x" "b"))("Ĩ"))
    ((("b" "b"))("")) (((" " "b" "b"))(""))
    ((("m" "b"))("")) (((" " "m" "b"))(""))
    ((("w" "b"))("")) (((" " "w" "b"))("ǫ"))
    ((("v" "b"))("ʡ")) (((" " "v" "b"))(""))
    ((("z" "b"))("")) (((" " "z" "b"))(""))
    ((("/" "b"))("")) (((" " "/" "b"))(""))
    ((("1" "m"))("")) (((" " "1" "m"))("ɯ"))
    ((("2" "m"))("")) (((" " "2" "m"))(""))
    ((("3" "m"))("")) (((" " "3" "m"))(""))
    ((("4" "m"))("Ǿ")) (((" " "4" "m"))("Ǻ"))
    ((("5" "m"))("Ϸ")) (((" " "5" "m"))(""))
    ((("6" "m"))("")) (((" " "6" "m"))(""))
    ((("7" "m"))("")) (((" " "7" "m"))(""))
    ((("8" "m"))("«")) (((" " "8" "m"))(""))
    ((("9" "m"))("")) (((" " "9" "m"))(""))
    ((("0" "m"))("̮")) (((" " "0" "m"))(""))
    ((("," "m"))("")) (((" " "," "m"))(""))
    ((("." "m"))("")) (((" " "." "m"))(""))
    ((("p" "m"))("")) (((" " "p" "m"))(""))
    ((("y" "m"))("")) (((" " "y" "m"))(""))
    ((("f" "m"))("")) (((" " "f" "m"))(""))
    ((("g" "m"))("")) (((" " "g" "m"))(""))
    ((("c" "m"))("")) (((" " "c" "m"))(""))
    ((("r" "m"))("ã")) (((" " "r" "m"))(""))
    ((("l" "m"))("")) (((" " "l" "m"))(""))
    ((("a" "m"))("")) (((" " "a" "m"))(""))
    ((("o" "m"))("")) (((" " "o" "m"))(""))
    ((("e" "m"))("")) (((" " "e" "m"))(""))
    ((("u" "m"))("˺")) (((" " "u" "m"))(""))
    ((("i" "m"))("Ƥ")) (((" " "i" "m"))(""))
    ((("d" "m"))("")) (((" " "d" "m"))(""))
    ((("h" "m"))("")) (((" " "h" "m"))(""))
    ((("t" "m"))("")) (((" " "t" "m"))(""))
    ((("n" "m"))("")) (((" " "n" "m"))(""))
    ((("s" "m"))("")) (((" " "s" "m"))(""))
    (((";" "m"))("")) (((" " ";" "m"))(""))
    ((("q" "m"))("")) (((" " "q" "m"))(""))
    ((("j" "m"))("¿")) (((" " "j" "m"))(""))
    ((("k" "m"))("")) (((" " "k" "m"))(""))
    ((("x" "m"))("")) (((" " "x" "m"))(""))
    ((("b" "m"))("")) (((" " "b" "m"))(""))
    ((("m" "m"))("")) (((" " "m" "m"))(""))
    ((("w" "m"))("")) (((" " "w" "m"))(""))
    ((("v" "m"))("")) (((" " "v" "m"))(""))
    ((("z" "m"))("Ƿ")) (((" " "z" "m"))("˳"))
    ((("/" "m"))("")) (((" " "/" "m"))(""))
    ((("1" "w"))("")) (((" " "1" "w"))(""))
    ((("2" "w"))("")) (((" " "2" "w"))(""))
    ((("3" "w"))("")) (((" " "3" "w"))(""))
    ((("4" "w"))("")) (((" " "4" "w"))(""))
    ((("5" "w"))("Ȳ")) (((" " "5" "w"))(""))
    ((("6" "w"))("")) (((" " "6" "w"))(""))
    ((("7" "w"))("")) (((" " "7" "w"))(""))
    ((("8" "w"))("")) (((" " "8" "w"))("ʵ"))
    ((("9" "w"))("")) (((" " "9" "w"))(""))
    ((("0" "w"))("")) (((" " "0" "w"))(""))
    ((("," "w"))("")) (((" " "," "w"))(""))
    ((("." "w"))("")) (((" " "." "w"))(""))
    ((("p" "w"))("")) (((" " "p" "w"))("ƶ"))
    ((("y" "w"))("")) (((" " "y" "w"))(""))
    ((("f" "w"))("")) (((" " "f" "w"))(""))
    ((("g" "w"))("")) (((" " "g" "w"))("Ȧ"))
    ((("c" "w"))("΢")) (((" " "c" "w"))(""))
    ((("r" "w"))("ͳ")) (((" " "r" "w"))("µ"))
    ((("l" "w"))("")) (((" " "l" "w"))(""))
    ((("a" "w"))("")) (((" " "a" "w"))(""))
    ((("o" "w"))("ɴ")) (((" " "o" "w"))("ƭ"))
    ((("e" "w"))("")) (((" " "e" "w"))(""))
    ((("u" "w"))("")) (((" " "u" "w"))(""))
    ((("i" "w"))("")) (((" " "i" "w"))(""))
    ((("d" "w"))("")) (((" " "d" "w"))(""))
    ((("h" "w"))("ʬ")) (((" " "h" "w"))(""))
    ((("t" "w"))("")) (((" " "t" "w"))(""))
    ((("n" "w"))("")) (((" " "n" "w"))(""))
    ((("s" "w"))("")) (((" " "s" "w"))(""))
    (((";" "w"))("")) (((" " ";" "w"))(""))
    ((("q" "w"))("")) (((" " "q" "w"))(""))
    ((("j" "w"))("")) (((" " "j" "w"))(""))
    ((("k" "w"))("")) (((" " "k" "w"))(""))
    ((("x" "w"))("")) (((" " "x" "w"))(""))
    ((("b" "w"))("")) (((" " "b" "w"))(""))
    ((("m" "w"))("")) (((" " "m" "w"))("̽"))
    ((("w" "w"))("")) (((" " "w" "w"))(""))
    ((("v" "w"))("")) (((" " "v" "w"))(""))
    ((("z" "w"))("")) (((" " "z" "w"))(""))
    ((("/" "w"))("")) (((" " "/" "w"))(""))
    ((("1" "v"))("")) (((" " "1" "v"))(""))
    ((("2" "v"))("")) (((" " "2" "v"))(""))
    ((("3" "v"))("")) (((" " "3" "v"))(""))
    ((("4" "v"))("")) (((" " "4" "v"))(""))
    ((("5" "v"))("")) (((" " "5" "v"))(""))
    ((("6" "v"))("")) (((" " "6" "v"))(""))
    ((("7" "v"))("")) (((" " "7" "v"))(""))
    ((("8" "v"))("")) (((" " "8" "v"))(""))
    ((("9" "v"))("")) (((" " "9" "v"))(""))
    ((("0" "v"))("Υ")) (((" " "0" "v"))(""))
    ((("," "v"))("")) (((" " "," "v"))(""))
    ((("." "v"))("")) (((" " "." "v"))(""))
    ((("p" "v"))("")) (((" " "p" "v"))("ǥ"))
    ((("y" "v"))("")) (((" " "y" "v"))(""))
    ((("f" "v"))("ľ")) (((" " "f" "v"))(""))
    ((("g" "v"))("")) (((" " "g" "v"))(""))
    ((("c" "v"))("")) (((" " "c" "v"))(""))
    ((("r" "v"))("")) (((" " "r" "v"))(""))
    ((("l" "v"))("")) (((" " "l" "v"))("˦"))
    ((("a" "v"))("")) (((" " "a" "v"))("̻"))
    ((("o" "v"))("")) (((" " "o" "v"))("ǣ"))
    ((("e" "v"))("")) (((" " "e" "v"))(""))
    ((("u" "v"))("")) (((" " "u" "v"))(""))
    ((("i" "v"))("")) (((" " "i" "v"))(""))
    ((("d" "v"))("")) (((" " "d" "v"))(""))
    ((("h" "v"))("")) (((" " "h" "v"))(""))
    ((("t" "v"))("")) (((" " "t" "v"))(""))
    ((("n" "v"))("")) (((" " "n" "v"))(""))
    ((("s" "v"))("")) (((" " "s" "v"))(""))
    (((";" "v"))("")) (((" " ";" "v"))(""))
    ((("q" "v"))("")) (((" " "q" "v"))(""))
    ((("j" "v"))("")) (((" " "j" "v"))(""))
    ((("k" "v"))("9")) (((" " "k" "v"))(""))
    ((("x" "v"))("")) (((" " "x" "v"))(""))
    ((("b" "v"))("")) (((" " "b" "v"))("ȶ"))
    ((("m" "v"))("")) (((" " "m" "v"))("ͩ"))
    ((("w" "v"))("")) (((" " "w" "v"))(""))
    ((("v" "v"))("")) (((" " "v" "v"))("ĵ"))
    ((("z" "v"))("")) (((" " "z" "v"))(""))
    ((("/" "v"))("")) (((" " "/" "v"))(""))
    ((("1" "z"))("")) (((" " "1" "z"))(""))
    ((("2" "z"))("")) (((" " "2" "z"))(""))
    ((("3" "z"))("")) (((" " "3" "z"))(""))
    ((("4" "z"))("")) (((" " "4" "z"))(""))
    ((("5" "z"))("")) (((" " "5" "z"))(""))
    ((("6" "z"))("")) (((" " "6" "z"))(""))
    ((("7" "z"))("")) (((" " "7" "z"))(""))
    ((("8" "z"))("")) (((" " "8" "z"))(""))
    ((("9" "z"))("")) (((" " "9" "z"))(""))
    ((("0" "z"))("")) (((" " "0" "z"))(""))
    ((("," "z"))("")) (((" " "," "z"))(""))
    ((("." "z"))("")) (((" " "." "z"))(""))
    ((("p" "z"))("")) (((" " "p" "z"))("˫"))
    ((("y" "z"))("Ź")) (((" " "y" "z"))(""))
    ((("f" "z"))("")) (((" " "f" "z"))("͵"))
    ((("g" "z"))("")) (((" " "g" "z"))(""))
    ((("c" "z"))("")) (((" " "c" "z"))(""))
    ((("r" "z"))("")) (((" " "r" "z"))(""))
    ((("l" "z"))("")) (((" " "l" "z"))(""))
    ((("a" "z"))("")) (((" " "a" "z"))(""))
    ((("o" "z"))("")) (((" " "o" "z"))(""))
    ((("e" "z"))("")) (((" " "e" "z"))(""))
    ((("u" "z"))("")) (((" " "u" "z"))(""))
    ((("i" "z"))("Į")) (((" " "i" "z"))(""))
    ((("d" "z"))("´")) (((" " "d" "z"))(""))
    ((("h" "z"))("")) (((" " "h" "z"))(""))
    ((("t" "z"))("")) (((" " "t" "z"))(""))
    ((("n" "z"))("")) (((" " "n" "z"))("±"))
    ((("s" "z"))("ͧ")) (((" " "s" "z"))(""))
    (((";" "z"))("")) (((" " ";" "z"))(""))
    ((("q" "z"))("")) (((" " "q" "z"))(""))
    ((("j" "z"))("")) (((" " "j" "z"))(""))
    ((("k" "z"))("")) (((" " "k" "z"))(""))
    ((("x" "z"))("")) (((" " "x" "z"))(""))
    ((("b" "z"))("%")) (((" " "b" "z"))("Ķ"))
    ((("m" "z"))("ƻ")) (((" " "m" "z"))(""))
    ((("w" "z"))("")) (((" " "w" "z"))(""))
    ((("v" "z"))("")) (((" " "v" "z"))(""))
    ((("z" "z"))("")) (((" " "z" "z"))(""))
    ((("/" "z"))("")) (((" " "/" "z"))(""))
    ((("1" "/"))("")) (((" " "1" "/"))(""))
    ((("2" "/"))("")) (((" " "2" "/"))("ų"))
    ((("3" "/"))("")) (((" " "3" "/"))("Ǵ"))
    ((("4" "/"))("Ȣ")) (((" " "4" "/"))("ê"))
    ((("5" "/"))("")) (((" " "5" "/"))(""))
    ((("6" "/"))("")) (((" " "6" "/"))(""))
    ((("7" "/"))("")) (((" " "7" "/"))(""))
    ((("8" "/"))("Ĳ")) (((" " "8" "/"))(""))
    ((("9" "/"))("ʴ")) (((" " "9" "/"))("ʶ"))
    ((("0" "/"))("")) (((" " "0" "/"))(""))
    ((("," "/"))("")) (((" " "," "/"))(""))
    ((("." "/"))("ȿ")) (((" " "." "/"))(""))
    ((("p" "/"))("")) (((" " "p" "/"))(""))
    ((("y" "/"))("ô")) (((" " "y" "/"))("â"))
    ((("f" "/"))("")) (((" " "f" "/"))("ţ"))
    ((("g" "/"))("Ʋ")) (((" " "g" "/"))(""))
    ((("c" "/"))("")) (((" " "c" "/"))(""))
    ((("r" "/"))("")) (((" " "r" "/"))(""))
    ((("l" "/"))("")) (((" " "l" "/"))(""))
    ((("a" "/"))("")) (((" " "a" "/"))(""))
    ((("o" "/"))("")) (((" " "o" "/"))(""))
    ((("e" "/"))("")) (((" " "e" "/"))(""))
    ((("u" "/"))("Φ")) (((" " "u" "/"))("δ"))
    ((("i" "/"))("")) (((" " "i" "/"))(""))
    ((("d" "/"))("")) (((" " "d" "/"))(""))
    ((("h" "/"))("")) (((" " "h" "/"))(""))
    ((("t" "/"))("")) (((" " "t" "/"))(""))
    ((("n" "/"))("")) (((" " "n" "/"))(""))
    ((("s" "/"))("")) (((" " "s" "/"))(""))
    (((";" "/"))("")) (((" " ";" "/"))(""))
    ((("q" "/"))("")) (((" " "q" "/"))(""))
    ((("j" "/"))("")) (((" " "j" "/"))(""))
    ((("k" "/"))("")) (((" " "k" "/"))(""))
    ((("x" "/"))("")) (((" " "x" "/"))(""))
    ((("b" "/"))("ñ")) (((" " "b" "/"))(""))
    ((("m" "/"))("")) (((" " "m" "/"))(""))
    ((("w" "/"))("ȴ")) (((" " "w" "/"))(""))
    ((("v" "/"))("")) (((" " "v" "/"))(""))
    ((("z" "/"))("")) (((" " "z" "/"))(""))
    ((("/" "/"))("")) (((" " "/" "/"))(""))
    (((" " " "))(" "))))

(define trycode-init-handler
  (lambda (id im arg)
    (generic-context-new id im trycode-rule #f)))

(generic-register-im
 'trycode
 "ja"
 "EUC-JP"
 (N_ "Try-Code")
 (N_ "A kanji direct input method")
 trycode-init-handler)
